/*          UNIVERSIDAD AUTONOMA DE PUEBLA
    DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
	ESFERA CON ARCOS DE LATITUD Y LONGITUD
	      [J.P.H.E.   JULIO-1992]
*/
#include <math.h>
#include <stdio.h>
#include "plotp.h"
#define  npu  35


  double O1[3][3];

  void d19sp1( PH, TH, P)
  double PH,TH;
  int    P;
  {
    double the,phi,x,y,z,u,v,w,ro,fi;

    the = 3.14159 * TH;
    phi = 6.28318 * PH;
    x   = sin(the) * cos(phi);
    y   = sin(the) * sin(phi);
    z   = cos(the);
    u   = O1[0][0]*x + O1[0][1]*y + O1[0][2]*z;
    v   = O1[1][0]*x + O1[1][1]*y + O1[1][2]*z;
    w   = O1[2][0]*x + O1[2][1]*y + O1[2][2]*z;
    ro  = sqrt(u*u+v*v);
    fi  = atan2(v,u)/6.28318;
    pltpo(fi, ro, (int)(P && (w >= 0.0)) );
  }


void esfera(double e1, double e2, double e3)
{
	int i, j;
	double  ph, th;
	double  phmi  = 0.0;
	double  phma  = 2.0*3.14159;
	double  thmi  = 0.0;
	double  thma  = 3.14159;
	double  dph   = (phma-phmi)/(double) (npu-1);
	double  dth   = (thma-thmi)/(double) (npu-1);

        pltdk(7);
	plteu(&O1[0][0], e1, e2, e3);
	plt00();
	plotz("V1 ",3);
	pltfr(4);
	pltso(3.10, 3.10, 0.0, 0.0);
	pltig(phmi, thmi, 1, d19sp1);
	pltig(phma, thma, 2, d19sp1);

	th   = thmi;
	for(i=0; i < npu; i++) {
	    ph  =  phmi;
	    pltig(ph,th, 3, d19sp1);
	    for(j=1; j < npu; j++) {
		ph  =  ph + dph;
		pltig(ph, th, 4, d19sp1);
	    }
	      th = th + dth;
	}

	ph   = phmi;
	for(i=0; i < npu; i++)  {
	    th  = thmi;
	    pltig(ph,th, 3, d19sp1);
	    for(j=1; j < npu; j++)  {
		th = th + dth;
		pltig(ph, th, 4, d19sp1);
	    }
	    ph = ph + dph;
	}

       ph  = phmi;
       pltig(ph, 3.14159, 3, pltpo);
       for(j=1; j < npu; j++) {
	   ph   = ph + dph;
	   pltig(ph, 3.14159, 4, pltpo);
       }

       pltlla("Esfera con Arcos de Latitud y Longitud", 38, " ",0, 4);
       pltho();
       pltclose();
}
