/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
   [J.P.H.E.]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"

#define NX      45
#define NY      53
// #define fun(x,y) sin(2.0*x*x+3.0*y*y)/(x*x+y*y)
#define fun(x,y) sin(2.0*x*x)*(1.0/exp(x*x+y*y))

double WA[NX][NY];

void sudopo()
{
 int     i,  j,  nci;
 double  zmi, zma, x, y;
 double  xc, yc, r, ri, rf, dr, t, tmi, tma, dt;
 char    in[50];
 char    bu[] = {"Sup.  z=sin(2.0*x*x)*(1.0/exp(x*x+y*y)), Dominio Polar"};
// char    bu1[]= {"Centro en (.9, .9) y r = 3.0"};
  char    bu1[]= {"Centro en (0.0, 0.0) y r = 3.0"};

  tmi  =  0.0;        tma = 6.28318;
  xc   =  0.0;        yc  = 0.0;                       /* Centro */
  ri   =  0.001;      rf  = 3.0;

  dr   = (rf - ri)/(double) (NX-1);
  dt   = (tma-tmi)/(double) (NY-1);

  x    = ri*cos(tmi) + xc;
  y    = ri*sin(tmi) + yc;
  zmi = fun(x, y);
  zma = zmi;

 for( r=ri, i=0 ; i < NX; i++, r += dr)
      for ( t=tmi, j=0 ; j < NY; j++, t += dt) {
	   x  =  r*cos(t) + xc;
	   y  =  r*sin(t) + yc;
	   WA[i][j] =  fun(x, y);
	   if(WA[i][j] < zmi) zmi=WA[i][j];
	   if(WA[i][j] > zma) zma=WA[i][j];
      }


 pltdk(7);
 plt00();
 pltfr(1);
 pltso(4.0, 4.0, 0.0, 0.0);

 pltpv(zmi, &WA[0][0], zma, NX, NY, pltca);

 nci = pltgi(in, ri, 'R', rf, tmi, 'T', tma);
 pltlla(bu, (sizeof(bu)-1), in, nci, 1);
 plttp(-1.4, 4.0, -0.11, bu1, 0.0, (sizeof(bu1) - 1), 1, pltmv);
 pltho();
 pltclose();
}