/*         DOBLE SUPERFICIE (VISDO)
	    [J.P.H.E   JUL-1993]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"

#define NX     30
#define NY     21
#define xmi   -6.0
#define xma    6.0
#define ymi   -3.0
#define yma    3.0

 double WA[NX][NY], WB[NX][NY];

void sudo()
{
 int    i,j;
 double dx, dy, zmi, zma, x, y, d;
 char   in[50];
 char   bu[] = {"Doble Superficie z = 1.0/exp(x*x+y*y) y z = exp(-1.0/x*x)"};

 dx  = (xma-xmi)/(double)(NX-1);
 dy  = (yma-ymi)/(double)(NY-1);
 zmi = sin(xmi);
 zma = zmi;

 x   = xmi;
 for(i=0 ; i < NX; i++)  {
      y = yma;
      for (j=0 ; j < NY; j++) {
	   WA[i][j] =  1.0/exp(x*x+y*y);
	   d        = -1.0/(x*x);
	   WB[i][j] =  exp(d);
	   if(WA[i][j] < zmi) zmi=WA[i][j];
	   if(WA[i][j] > zma) zma=WA[i][j];
	   if(WB[i][j] < zmi) zmi=WB[i][j];
	   if(WB[i][j] > zma) zma=WB[i][j];
	   y -= dy;
      }
      x += dx;
 }
 dx = fabs(zma-zmi)/8.0;
 x  = zmi - dx;    y = zma + dx;

 pltdk(7);
 plt00();
 plotz("P1 V1 ",6);
 pltfr(6);
 pltso(3.1, 3.1, 0.0, 0.0);

 visdo(x, &WA[0][0], &WB[0][0], y, NX, NX, NY, NY, 0.1, 0.1, 0.0, 1, 1, pltca);
 i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);
 pltlla(bu, (sizeof(bu) - 1), in, i, 6);
 pltho();
 pltclose();
}
