/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
         MAPEO COMFORME DOMINIO RECTANGULAR
	 [J.P.H.E.              JULIO-1993]
*/
#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "plotp.h"

#define  npu  41

double  mcwr[npu][npu], mcwi[npu][npu];

void maco()
{

  double  mipr, mapr,  mipi,  mapi,  pr,  pi, ex;
  double  x,    y,     dx,    dy;
  double  xmi,  xma,   ymi,   yma;
  int     i,    j,     nci;
  char    bu[] ={"Mapeo Conforme Dominio Rectangular de w = exp(z)"};
  char    bin[60];

  xmi  =   5.00;       xma = 6.00;
                  /* Dominio del Mapeo */
  ymi  =   0.00;       yma = 2*3.14159;

  dx   = fabs(xma-xmi)/(double) (npu-1);          /* Division del dominio */
  dy   = fabs(yma-ymi)/(double) (npu-1);
  mipr = exp(xmi)*cos(ymi); mapr = mipr;
  mipi = exp(xmi)*sin(ymi); mapi = mipi;


  x  =  xmi;
                                   /* Calculo de la funcion */
  for(i=0; i < npu; i++) {
      y  =  ymi;
      for(j=0; j < npu; j++) {
	   ex  = exp(x);
	   pr  = ex*cos(y);
	   pi  = ex*sin(y);
	   mcwr[i][j] = pr;
	   mcwi[i][j] = pi;
	   if(pr > mapr) mapr = pr;
    /* Calculo del valor min. y max. */
	   if(pr < mipr) mipr = pr;
	   if(pi > mapi) mapi = pi;
	   if(pi < mipi) mipi = pi;
	   y  =  y + dy;
      }
      x  =  x + dx;
  }


  pltdk(7);
  plt00();
  pltfr(1);
  plot(2.0,  0.5, UP);                             /*   Marco Superior  */
  plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
  plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

  plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
  plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
  plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);

  x = fabs(xma-xmi)/2.0;                          /* Grafica el DOMINIO  */
  y = fabs(yma-ymi)/2.0;
  pltso(2.0, 2.0, 0.0,  2.5);
   /*   Se ajustan los valores min. y max.
para que aparezcan los ejes */
  pltig((xmi-x)>=0.0 ? -1.0 : xmi-x, (ymi-y)>=0.0 ? -1.0 : ymi-y, 1, pltca);
  pltig((xma+x)<=0.0 ?  1.0 : xma+x, (yma+y)<=0.0 ?  1.0 : yma+y, 2, pltca);
  x  = xmi;
  for(i=0; i < npu; i++) {
      y = ymi;
      pltig(x, y, 3, pltca);
      for(j=1; j < npu; j++) { y += dy; pltig(x, y, 4, pltca);}
      x += dx;
  }
  pltig(0.0, 0.0, 9, pltca);
  nci = pltgi(bin, xmi, 'X', xma, ymi, 'I', yma);
  plttp(-2.0, -2.3, -0.11, bin, 0.0, nci, 1, pltmv);
  plotr();
                                                            

  x = fabs(mapr-mipr)/8.0;                          /* Grafica el RANGO 
*/
  y = fabs(mapi-mipi)/8.0;
  pltso(2.0, 2.0, 0.0, -2.5);
  /*    Se ajustan los valores min. y max.
para que aparezcan los ejes */
  pltig((mipr-x)>=0.0 ? -1.0:mipr-x, (mipi-y)>=0.0 ? -1.0:mipi-y, 1, pltca);
  pltig((mapr+x)<=0.0 ?  1.0:mapr+x, (mapi+y)<=0.0 ?  1.0:mapi+y, 2, pltca);
  for(i=0; i < npu; i++) {
      pltig(mcwr[i][0],mcwi[i][0],3,pltca);
      for(j=1; j < npu; j++) pltig(mcwr[i][j],mcwi[i][j],4,pltca);
  }
  pltig(0.0, 0.0, 9, pltca);
  plotr();

  nci = pltgi(bin, mipr, 'X', mapr, mipi, 'I', mapi);
  pltlla(bu, (sizeof(bu)-1), bin, nci, 1);
  pltho();
  pltclose();
 }
