/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
	   MAPEO CONFORME DOMINIO CIRCULAR
	   [J.P.H.E.           JULIO-1993]
*/
#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define  npu  70
double  mcwr[npu][npu], mcwi[npu][npu];

void macocc(int SC)
{ struct  complex  cx,  cw,     uno;
  double  mipr,  mapr,   mipi,  mapi,    pr,  pi;
  double  x,   y;
  double  xmi, xma, ymi, yma, ri,   rf,  r,  t;
  double  tmi, tma,  xc,  yc, dr,   dt;
  int     i,   j,   nci;
  char    bu[] ={"Mapeo Conforme Dominio Circular de w = 1/z"};
  char    bin[60];

  tmi  =  0.0;        tma = 6.28318;                /* Dominio del Mapeo */
  xc   =  4.0;        yc  = 4.0;
  ri   =  3.0;       rf  = 4.0;


  dr   = fabs(rf - ri)/(double) (npu-1);
  dt   = fabs(tma-tmi)/(double) (npu-1);
  xmi  = xc - rf;        xma = xc + rf;         r = ri;
  ymi  = yc - rf;        yma = yc + rf;         t = tmi;

  pltdk(7);
  plt00();
  pltfr(1);
  plot(2.0,  0.5, UP);                             /*   Marco Superior  */
  plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
  plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

  plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
  plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
  plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);

  x = fabs(xma-xmi)/2.0;                    
  y = fabs(yma-ymi)/2.0;
  pltso(2.0, 2.0, 0.0,  2.5);
  /*   Se ajustan los valores min. y max.para que aparezcan los ejes */
  pltig((xmi-x)>=0.0 ? -1.0 : xmi-x, (ymi-y)>=0.0 ? -1.0 : ymi-y, 1, pltca);
  pltig((xma+x)<=0.0 ?  1.0 : xma+x, (yma+y)<=0.0 ?  1.0 : yma+y, 2, pltca);

  x    = r*cos(t) + xc;
  y    = r*sin(t) + yc;
  uno  = cmplx(1.0, 0.0);
  cw   = cmplx(x, y);
  cx   = acdiv(uno, cw);
  mipr = cx.x;           mapr = mipr;
  mipi = cx.y;           mapi = mipi;

  for(i=0; i < npu; i++) {                   /*  Calculo de la funcion */
      t  =  tmi;
      x  =  r*cos(t) + xc;                /* X,Y elementos del dominio */
      y  =  r*sin(t) + yc;
      pltig( x, y, 3, pltca);
      for(j=0; j < npu; j++) {
	   x  =  r*cos(t) + xc;
	   y  =  r*sin(t) + yc;
	   pltig( x, y, 4, pltca);       /* Traza un punto del dominio */
	   cw  = cmplx(x, y);
	   cx  = acdiv(uno, cw);
	   pr  = cx.x;
	   pi  = cx.y;
	   mcwr[i][j] = pr;
	   mcwi[i][j] = pi;
	   if(pr > mapr) mapr = pr;     /*   Calculo del valor min. y max.*/
	   if(pr < mipr) mipr = pr;
	   if(pi > mapi) mapi = pi;
	   if(pi < mipi) mipi = pi;
	   t  +=  dt;
      }
      r +=  dr;
  }
   NXSetColor(NX_COLORGREEN);
   PSstroke();
  pltig(0.0, 0.0, 9, pltca);
  nci = pltgi(bin, xmi, 'X', xma, ymi, 'I', yma);
  plttp(-2.0, -2.3, -0.11, bin, 0.0, nci, 1, pltmv);
   NXSetColor(NX_COLORBLUE);
   PSstroke();
  plotr();

  x = fabs(mapr-mipr)/8.0;                      /*  Grafica el RANGO  */
  y = fabs(mapi-mipi)/8.0;
  pltso(2.0, 2.0, 0.0, -2.5);
    /*   Se ajustan los valores min. y max.para que aparezcan los ejes */
  pltig((mipr-x)>=0.0 ? -1.0:mipr-x, (mipi-y)>=0.0 ? -1.0:mipi-y, 1, pltca);
  pltig((mapr+x)<=0.0 ?  1.0:mapr+x, (mapi+y)<=0.0 ?  1.0:mapi+y, 2, pltca);
  for(i=0; i < npu; i++) {
      pltig(mcwr[i][0],mcwi[i][0],3,pltca);
      for(j=1; j < npu; j++) pltig(mcwr[i][j],mcwi[i][j],4,pltca);
  }
   NXSetColor(NX_COLORGREEN);
   PSstroke();
  pltig(0.0, 0.0, 9, pltca);
  plotr(); 

  nci = pltgi(bin, mipr, 'X', mapr, mipi, 'I', mapi);
  pltlla(bu, (sizeof(bu)-1), bin, nci, 1);
   NXSetColor(NX_COLORBLUE);
   PSstroke();
  pltho();
  pltclose();
 }