#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define  NX   37          /* Dimension de las matrices de valores para el */          
#define  NY   37          /* contorno o la superficie                     */
double  WY[NX][NY], WA[NX][NY];

void man()
{
  int     i, j, nci;
  double  x, y, xmi, xma, ymi, yma;
  double  z, w, zmi, zma, zi, za, dx, dy;
  struct  complex cx, cy, cw;
  char    bu[]={"Superficie y contornos de w = z*z + c, z = a + bi"};
  char    bin[60];

  xmi     = -3.0;       xma = 3.0;    /* Dominio de la funcion compleja */
  ymi     = -3.0;       yma = 3.0;

    dx   = fabs(xma-xmi)/(double) (NX-1);
    dy   = fabs(yma-ymi)/(double) (NY-1);

    cy   = cmplx(1.0, 2.0);
    cw   = cmplx(xmi, ymi);
    cx   = acsum(acmul(cw, cw), cy);                             /* Funcion */
    zmi  = cabs(cx);
    zi   = acarc(cx);
    zma  = zmi;
    za   = zi;

    x    = xmi;            /* Calculo de los valores de la funcion compleja */
    for(i=0; i < NY; i++) {
	y = xmi;
	for(j=0; j < NX; j++) {
	    cx = cmplx(x, y);
	    cw = acsum(acmul(cx, cx), cy);                       /* Funcion */
	    z  = cabs(cw);                                /* Valor Absoluto */
	    w  = acarc(cw);                               /* Fase           */
	    WY[i][j] = (double) z;
	    WA[i][j] = (double) w;
	    zmi = (zmi > z) ? z   : zmi;   /* Calculo del valor min. y max */
	    zma = (zma > z) ? zma : z;
	    zi  = (zi  > w) ? w   : zi;
	    za  = (za  > w) ? za  : w;
	    y  += dy;
	}
	x += dx;
    }
    x   = fabs(zma-zmi)/8.0;              /* Ajuste del valor min. y max. */
    y   = fabs(za - zi)/8.0;
    zmi = zmi - x;     zma = zma - 5.0*x;
    zi  = zi  - y;     za  = za  - 5.0*y;

    pltdk(7);
    plt00();
    plotz("V1 ",3);                                            /* DMP-29  */
    pltfr(1);
    plot(2.0,  0.5, UP);                             /*   Marco Superior  */
    plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
    plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

    plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
    plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
    plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);
    NXSetColor(NX_COLORBLACK);
    PSstroke();

    pltso(1.95, 1.90, 0.0,  2.5);
    pltrv(0.0, &WY[0][0], zma/1.5, NX, NY, -8.0, pltca);
    plotr();
                                                            

    pltso(1.95, 1.95, 0.0,  -2.5);
    pltkp(zmi, &WY[0][0], zma, 20, 2, NX, 2, NY, pltca);
    NXSetColor(NX_COLORBLUE);
    PSstroke();
    plotz("P2 ",3);
    pltkc(zi,  &WA[0][0], za,  20, 2, NX, 2, NY, pltca);
    NXSetColor(NX_COLORRED);
    PSstroke();
    plotr();
                                                            
    
    plotz("P1 ",3);
    nci = pltgi(bin, xmi, 'X', xma, ymi, 'I', yma);
    pltlla(bu, sizeof(bu)-1, bin, nci, 1);
    NXSetColor(NX_COLORBLACK);
    PSstroke();
    pltho();
    pltclose();
 }