/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
         MAPEO CONFORME DOMINIO RECTANGULAR
	 [J.P.H.E.              ABRIL-1994]
*/
#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include <time.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>
#define  npu  29

  double  mcwr[npu][npu], mcwi[npu][npu];

void maxw()
{
  struct  complex  cz,  cw;
  double  mipr,  mapr,   mipi,  mapi,    pr,  pi;
  double  x,   y,   dx,  dy;
  double  xmi, xma, ymi, yma;
  int     i,   j,   nci;
  char    bu[] ={"Mapeo Conforme  Curvas de Maxwell w = a/pi*(z+1+exp(z))"};
  char    bin[60];

  xmi  =   -9.0;       xma = 2.0;
  ymi  =   -3.14;      yma = 3.14;

  dx   = fabs(xma-xmi)/(double) (npu-1);
  dy   = fabs(yma-ymi)/(double) (npu-1);

  cz   = cmplx(xmi, ymi);
  cw = acmul(acsum(acexp(cz),acsum(cmplx(1.0,0.0),cz)),cmplx(1.0/6.28,0.0));
  mipr = cw.x;              mapr = mipr;
  mipi = cw.y;              mapi = mipi;
  x  =  xmi;
  for(i=0; i < npu; i++) {
      y  =  ymi;
      for(j=0; j < npu; j++) {
	   cz  = cmplx(x, y);
	   cw = acmul(acsum(acexp(cz),acsum(cmplx(1.0,0.0),cz)),cmplx(1.0/6.28,0.0));
	   pr  = cw.x;
	   pi  = cw.y;
	   mcwr[i][j] = pr;
	   mcwi[i][j] = pi;
	   if(pr > mapr) mapr = pr;
	   if(pr < mipr) mipr = pr;
	   if(pi > mapi) mapi = pi;
	   if(pi < mipi) mipi = pi;
	   y  =  y + dy;
      }
      x  =  x + dx;
  }

  pltdk(7); 
  plt00();
  plotz("V1 P1 ",6);
  pltfr(1);
  plot(2.0,  0.5, UP);                            /*   Marco Superior  */
  plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
  plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

  plot(2.0,  -0.5, UP);                           /*   Marco Inferior  */
  plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
  plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);
  pltcolor(3);    /* DOS */   plotz("P2 ",3);  /* DMP-29 */
  NXSetColor(NX_COLORBLACK);
  PSstroke();

  x = fabs(xma-xmi)/2.0;                          /*  DOMINIO  */
  y = fabs(yma-ymi)/2.0;
  pltso(2.0, 2.0, 0.0,  2.5);
  pltig((xmi-x) >= 0.0 ? -1.0 : xmi-x, (ymi-y) >= 0.0 ? -1.0 : ymi-y, 1, pltca);
  pltig((xma+x) <= 0.0 ? 1.0 : xma+x, (yma+y) <= 0.0 ? 1.0 : yma+y, 2, pltca);
  x  = xmi;
  for(i=0; i < npu; i++) {
      y = ymi;
      pltig(x, y, 3, pltca);
      for(j=1; j < npu; j++) { y += dy; pltig(x, y, 4, pltca);}
      x += dx;
  }
  NXSetColor(NX_COLORBLUE);
  PSstroke();
  pltig(0.0, 0.0, 9, pltca);
  nci = pltgi(bin, xmi, 'X', xma, ymi, 'I', yma);
  plttp(-2.0, -2.3, -0.11, bin, 0.0, nci, 1, pltmv);
  NXSetColor(NX_COLORBLACK);
  PSstroke();

  y  = ymi;    pltcolor(4);    plotz("P3 ",3);
  for(i=0; i < npu; i++) {
      x = xmi;
      pltig(x, y, 3, pltca);
      for(j=1; j < npu; j++) { x += dx; pltig(x, y, 4, pltca);}
      y += dy;
  }
  NXSetColor(NX_COLORRED);
  PSstroke();
  plotr();


  x = fabs(mapr-mipr)/8.0;                         /*  RANGO  */
  y = fabs(mapi-mipi)/8.0;
  pltcolor(3);   plotz("P2 ",3);
  pltso(2.0, 2.0, 0.0, -2.5);
  pltig((mipr-x) >= 0.0 ? -1.0 : mipr-x, (mipi-y) >= 0.0 ? -1.0 : mipi-y, 1, pltca);
  pltig((mapr+x) <= 0.0 ? 1.0 : mapr+x, (mapi+y) <= 0.0 ? 1.0 : mapi+y, 2, pltca);
  for(i=0; i < npu; i++) {
      pltig(mcwr[i][0],mcwi[i][0],3,pltca);
      for(j=1; j < npu; j++) pltig(mcwr[i][j],mcwi[i][j],4,pltca);
  }
  NXSetColor(NX_COLORBLUE);
  PSstroke();
  pltcolor(4);   plotz("P3 ",3);
  for(i=0; i < npu; i++) {
      pltig(mcwr[0][i],mcwi[0][i],3,pltca);
      for(j=1; j < npu; j++) pltig(mcwr[j][i],mcwi[j][i],4,pltca);
  }
   NXSetColor(NX_COLORRED);
   PSstroke();
   pltig(0.0, 0.0, 9, pltca);

  plotr();
  pltcolor(2);  plotz("P4 ",3);
  nci = pltgi(bin, mipr, 'X', mapr, mipi, 'I', mapi);
  pltlla(bu, (sizeof(bu)-1), bin, nci, 1);
  NXSetColor(NX_COLORBLACK);
  PSstroke();
  pltho();
  pltclose();
 }