/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS

	    [J.P.H.E   JUN-1993]
*/

#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "plotp.h"
#define  NP    250

double fux(double x)
{
  x  = ( x*x )*1.570797;
  return sin(x);
}

double fuy(double y)
{
  y  = (y*y)*1.570795;
  return cos(y);
}

double sim(double a, double b, int m, double (*fu)() )
{
  double  h, x,  xi0, xi1, xi2;
  int     i, ia, np;

  h   = (b-a)/(2.0 * (double) m);
  xi0 = fu(a) + fu(b);
  xi1 = 0.0;
  xi2 = 0.0;
  np  = 2*m - 1;
  for( i  = 1; i <= np; i++) {
       x  = a + ((double) i * h);
       ia = i/2;
       if( (ia*2-i) == 0 ) { xi2 = xi2 + fu(x); continue; }
       xi1 = xi1 + fu(x);
  }
  return h*(xi0 + 2.0*xi2 + 4.0*xi1)/3.0;
}

  double  vx[NP],     vy[NP];

void euler()
{  double  xmax = 0.0, t = 0.0, dt;
   double  ymax = 0.0, xx, yy;
   int     i;
   char    in[50];
   char    bu[60] = {"Cuatro espirales de Euler"};

   dt    = 4.0/(double) (NP-1);

   for( i = 0; i < NP; i++) {
       xx = sim(0.0, t, 30, fux);
       yy = sim(0.0, t, 30, fuy);
       vx[i] = xx;
       vy[i] = yy;
       xmax = (xmax < xx) ? xx : xmax;
       ymax = (ymax < xx) ? yy : ymax;
       t  +=  dt;
   }
   xx = xmax/10.0;      yy = ymax/10.0;
   xx = xmax + xx;      yy = ymax + yy;

   pltdk(7);
   plt00();
   plotz("P1 ", 3);
   pltfr(3);
   pltso(3.0, 3.0, 0.0, 0.0);
   pltig(-xx, -yy, 1, pltca);
   pltig( xx,  yy, 2, pltca);

   pltig(vx[0], vy[0], 3, pltca);
   for( i = 1; i < NP; i++) pltig(vx[i], vy[i], 4, pltca);

   pltig(-vx[0], -vy[0], 3, pltca);
   for( i = 1; i < NP; i++) pltig(-vx[i], -vy[i], 4, pltca);

   pltig(-vx[0], vy[0], 3, pltca);
   for( i = 1; i < NP; i++) pltig(-vy[i], vx[i], 4, pltca);

   pltig(vx[0], -vy[0], 3, pltca);
   for( i = 1; i < NP; i++) pltig(vy[i], -vx[i], 4, pltca);

   pltlla(bu, 25, in, 0, 3);
   pltho();
   pltclose();
}
