#import  "plot.h"
#import  "pltta.h"

@implementation plot

-initFrame:(NXRect *)r
{
  [super initFrame: r];
  [self  setDrawSize: floor(frame.size.width): floor(frame.size.height) ];
  [self  setOpaque:  NO ];
  [self  setAutoresizeSubviews: YES];
  e1   = 10.0;     e2  = -60.0;       e3  = 10.0;
  return self;
}

- drawSelf:(const NXRect *)recta : (int)rectn
{
   [[aalis  cellAt:0:0] setDoubleValue:e1]; 
   [[aalis  cellAt:0:1] setDoubleValue:e2]; 
   [[aalis  cellAt:0:2] setDoubleValue:e3];

   PSsetgray( NX_WHITE );
   PSrectfill(bounds.origin.x, bounds.origin.y,
              bounds.size.width, bounds.size.height);

   if(strcmp([demoMenu title],"PLANAS")==0) {
      if(strcmp([demoPla title],"EULER")==0)          euler();
      if(strcmp([demoPla title],"LISSAJOUS")==0)      lisajous();
      if(strcmp([demoPla title],"ESPIRAL")==0)        espiral();
      if(strcmp([demoPla title],"TORO")==0)           toro(e1,e2,e3);
      if(strcmp([demoPla title],"ESFERAS")==0)        esfera(e1,e2,e3);
      if(strcmp([demoPla title],"ESFERAS1")==0)       esfera1(e1,e2,e3);
   }


   if(strcmp([demoMenu title],"SUPERFICIES y CONTORNOS")==0) {
      if(strcmp([demoSup title],"ArchivoDa")==0)      sdaar(30.0);
      if(strcmp([demoSup title],"PLTRV")==0)          suprv2(e1);
      if(strcmp([demoSup title],"PLTIV")==0)          siv(e1-80.0,e2-80.0);
      if(strcmp([demoSup title],"PLTPV")==0)          sudopo();
      if(strcmp([demoSup title],"PLTSV")==0)          dem19(e1, e2, e3);
      if(strcmp([demoSup title],"RELOR")==0)          dem2();
      if(strcmp([demoSup title],"VISDO1")==0)         sudo1();
      if(strcmp([demoSup title],"VISDO2")==0)         sudon();
      if(strcmp([demoSup title],"VISDO3")==0)         sudo();
      if(strcmp([demoSup title],"VISTR1")==0)         sutri1();
      if(strcmp([demoSup title],"VISTR2")==0)         sutri2();     
    }

   if(strcmp([demoMenu title],"FUNCIONES COMPLEJAS")==0) {
      if(strcmp([demoCom title],"MCDR-EXP")==0)       maco();
      if(strcmp([demoCom title],"MCDC1/Z")==0)        macocc();
      if(strcmp([demoCom title],"maxwell")==0)        maxw();
      if(strcmp([demoCom title],"SEN-CO")==0)         senc();
      if(strcmp([demoCom title],"SEN-COC")==0)        secc();
      if(strcmp([demoCom title],"Z*Z+C")==0)          man();
    }     
    NXSetColor(NX_COLORBLUE);
    PSstroke();
    return  self;

}

- aeuler:sender
{  e1 =  [[sender cellAt:0:0] doubleValue]; // Obtiene los ngulos de Euler
   e2 =  [[sender cellAt:0:1] doubleValue]; 
   e3 =  [[sender cellAt:0:2] doubleValue];
   [self display];
   return self;
}

- alisa:sender
{  e1 = [[sender cellAt:0:0] doubleValue]; // Obtiene los ngulos de Euler
   e2 = [[sender cellAt:0:1] doubleValue]; 
   e3 = [[sender cellAt:0:2] doubleValue];
   [self display];
   return self;
}

- gra:sender
{  [self display];
   return self;
}


- cut:sender
{   if (!theImage) return nil;
    [self copy:sender];
    [self delete:sender];
    return self;
}

- copy:sender
{
    id pBoard = [Pasteboard new];
    [pBoard declareTypes:&NXPostScriptPboardType num:1 owner:self];
    
    [self writePSCodeInside:&bounds to:pBoard];
    
    return self;
}

- delete:sender
{
	if (!theImage) return nil;
    
	theImage = [theImage free];
	[self display];
	return self;
}

- paste:sender
{
	if ([NXImage canInitFromPasteboard:[Pasteboard new]] == NO)
		return nil;
    
	[self delete:sender];
	bufferImage = [[NXImage alloc]
		initFromPasteboard:[Pasteboard new]];
	[bufferImage setDataRetained:YES];
	[self setImage:bufferImage];
    	[self display];
	
	return self;
}

- setImage:newImage
{
    theImage = newImage;
    [theImage setSize:&bounds.size];
    [self display];
    
    return self;
}

@end
