/*          SUPERFICIES VISTA INCLINADA
            [J.P.H.E        JUNIO-1993]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define NX        35     /* Dim. de la matriz de valores para la superficie */
#define NY        35
#define xmi    -6.28                               /* Dominio de la funcion */
#define xma     3.14
#define ymi    -3.0
#define yma     3.0
#define fun(x,y) cos(x)                                          /* Funcion */
double  WY[NX][NY];

void xy(double dx, double dy)                    /* Dos graficas superiores */
{ double x, y;
  int    i, j;
  x   = xmi;                        /* Calculo de los valores de la funcion */
  for(i=0 ; i < NY; i++, x+=dx) 
      for (j=0, y=ymi; j < NX; j++, y+=dy) {
          if( y<=0.0) WY[i][j] = 0.0;                  /* Colocar un plano */
          else WY[i][j] = fun(x,y);        }
} 

void yx(double dx, double dy)                    /* Dos graficas inferiores */
{ double x, y;
  int    i, j;
  y   = ymi;                       /* Calculo de los valores de la funcion */
  for(i=0 ; i < NY; i++, y+=dy)
      for (j=0, x=xmi ; j < NX; j++, x+=dx) {
          if( y<=0.0) WY[i][j] = 0.0;                 /* Colocar un plano */
          else WY[i][j] = fun(x,y);         }
}

void siv(double e1, double e2)
{ int    i;
  double dx,dy;
  char   in[50];
  char   bu0[] = {"Vista Inclinada"};
  char   bu1[] = {"RO=20.0,  TI=10.0, (X,Y)-(I,J)"};
  char   bu2[] = {"RO=20.0,  TI=80.0  (X,Y)-(I,J)"};
  char   bu3[] = {"RO=20.0,  TI=10.0  (Y,X)-(I,J)"};
  char   bu4[] = {"RO=20.0,  TI=45.0  (Y,X)-(I,J)"};
  dx = (xma-xmi)/(double)(NX-1);
  dy = (yma-ymi)/(double)(NY-1);                 
                                      
  pltdk(7);
  plt00();
  plotz("P1 V1 ",6);

  pltfr(1);
  plot( 3.6, 0.1, UP);                             /* Marco Superior D */
  plot( 0.1, 0.1, DOWN);    plot( 0.1, 3.6, DOWN);
  plot( 3.6, 3.6, DOWN);    plot( 3.6, 0.1, DOWN);
  plot(-0.1, 0.1, UP);                             /* Marco Superior I */
  plot(-3.6, 0.1, DOWN);    plot(-3.6, 3.6, DOWN);
  plot(-0.1, 3.6, DOWN);    plot(-0.1, 0.1, DOWN);

  plot( 3.6, -0.1, UP);                            /* Marco Inferior  D */
  plot( 0.1, -0.1, DOWN);    plot( 0.1, -3.6, DOWN);
  plot( 3.6, -3.6, DOWN);    plot( 3.6, -0.1, DOWN);
  plot(-0.1, -0.1, UP);                            /* Marco Inferior  I */
  plot(-3.6, -0.1, DOWN);    plot(-3.6, -3.6, DOWN);
  plot(-0.1, -3.6, DOWN);    plot(-0.1, -0.1, DOWN);

  pltso(1.75, 1.75, -1.85,  1.85);
  xy(dx, dy);
  pltiv(0.0, &WY[0][0], 2.0, NX, NY, 20.0, 10.0, pltca);
  plotr();

  pltso(1.75, 1.75,  1.85,  1.85);
  xy(dx, dy);
  pltiv(0.0, &WY[0][0], 2.0, NX, NY, 20.0, 80.0, pltca);
  plotr();

  pltso(1.75, 1.75, -1.85,  -1.85);
  yx(dx, dy);
  pltiv(0.0, &WY[0][0], 2.0, NX, NY, 20.0, 10.0, pltca);
  plotr();

  pltso(1.75, 1.75, 1.85,  -1.85);
  yx(dx, dy);
  pltiv(0.0, &WY[0][0], 2.0, NX, NY, 20.0, 45.0, pltca);
  plotr();

  plttp(-3.3,  4.0, -0.1, bu1, 0.0, (sizeof(bu1)-1), 1, pltmv);
  plttp( 0.4,  4.0, -0.1, bu2, 0.0, (sizeof(bu2)-1), 1, pltmv);
  plttp(-3.3, -4.0, -0.1, bu3, 0.0, (sizeof(bu3)-1), 1, pltmv);
  plttp( 0.4, -4.0, -0.1, bu4, 0.0, (sizeof(bu4)-1), 1, pltmv);

  i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);
  pltlla(bu0, (sizeof(bu0) - 1), in, i, 3);
  NXSetColor(NX_COLORBLACK);
  PSstroke();
  pltho();
  closeplt();
}