/*            UNIVERSIDAD AUTONOMA DE PUEBLA
      DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
	        DOBLE SUPERFICIE (VISDO) 
                [J.P.H.E     JULIO-1993]
*/

#include <stdio.h>
#include <math.h>
#include "plotp.h"

#define NX     45  /*Dimension de las matrices de valores para la superficie */
#define NY     45
#define xmi   -8.0         /* Calculamos los valores de cada funcion con el */
#define xma    8.0         /* mismo dominio. Aunque el dominio de cada fun- */
#define ymi  -12.0         /* cion puede ser diferente.                     */
#define yma   12.0
#define fun(x,y) (y*y/4.0) - x*x - 1.0               /* Funcion a graficar */

double WA[NX][NY], WB[NX][NY];

void sudo1()
{
  int    i,j;
  double dx, dy, zmi, zma, x, y, d;
  char   in[50];
  char   bu[] = {"Doble Superficie z = (y*y/4.0) - x*x - 1.0"};

  dx = (xma-xmi)/(double)(NX-1);
  dy = (yma-ymi)/(double)(NY-1);

  zmi = fun(xmi, ymi);
  zmi = (zmi < 0.0) ? 0.0 : zmi;
  zma = zmi;

  y   = ymi;                  /* Calculo de los valores de las superficies */
  for(i=0 ; i < NX; i++)  {
      x = xmi;
      for (j=0 ; j < NY; j++) {

	   d  = fun(x, y);
	   if( d < 0.0 ) d = 0.0;
	   d  = sqrt(d);
	   WA[i][j] =  d;
	   WB[i][j] = -d;

	   if(WA[i][j] < zmi) zmi=WA[i][j]; /* Calculo del valor maximo y */
	   if(WA[i][j] > zma) zma=WA[i][j]; /* del valor minimo           */
	   if(WB[i][j] < zmi) zmi=WB[i][j];
	   if(WB[i][j] > zma) zma=WB[i][j];
	   x += dx;
      }
      y += dy;
  }

  dx = fabs(zma-zmi)/6.0;             /* Ajuste del valor maximo y minimo */
  x  = zmi - dx;    y = zma + dx;

  pltdk(7);
  plt00();
  plotz("P1 V1 ",6);                    /* Comandos del graficador DMP-29 */
  pltfr(6);
  pltso(3.1, 3.1, 0.0, 0.0);

  visdo(x, &WA[0][0], &WB[0][0], y, NX, NX, NY, NY, 0.2, 0.2, 0.0, 1, -1, pltca);

  i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);
  pltlla(bu, (sizeof(bu) - 1), in, i, 6);                    /* Letreros */
  pltho();
  pltclose();
}