/*          UNIVERSIDAD AUTONOMA DE PUEBLA
    DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
	    GRAFICAS PLANAS (PLTIG)   TORO
	    [J.P.H.E           JULIO-1992]
*/

#include <math.h>
#include <stdio.h>
#include "plotp.h"
#define  npu  56

double O1[3][3];

void d19to( PH, TH, P)       /* Proyeccion de las coordenadas toroidales */
double PH,TH;                /* al plano polar                           */
int    P;
{   double the,phi,x,y,z,u,v,w,ro,fi;
    the = 6.28318 * TH;
    phi = 6.28318 * PH;
    x   = 0.25*((3.0+cos(the)) * cos(phi));
    y   = 0.25*((3.0+cos(the)) * sin(phi));
    z   = 0.25*sin(the);
    u   = O1[0][0]*x + O1[0][1]*y + O1[0][2]*z;
    v   = O1[1][0]*x + O1[1][1]*y + O1[1][2]*z;
    w   = O1[2][0]*x + O1[2][1]*y + O1[2][2]*z;
    ro  = sqrt(u*u+v*v);
    fi  = atan2(v,u)/6.28318;
    pltpo(fi, ro, P );
}


void toro(double e1, double e2, double e3)
{	double  phmi  = 0.0;
	double  phma  = 2.0*3.14159;
	double  thmi  = 0.0;
	double  thma  = 2.0*3.14159;
	double  dph   = (phma-phmi)/(double) (npu-1);
	double  dth   = (thma-thmi)/(double) (npu-1);
	double  ph, th;
	int     i,  j,  anpu = npu/2;
	char    in[2],   bu[]={"TORO"};


	pltdk(7);               /* Determina dispositivo de salida (NeXT) */
	plteu(&O1[0][0], e1, e2, e3);
	plt00();
	plotz("P1 V1 ",6);
	pltfr(6);
	pltso(3.0,  3.0,  0.0, 0.0);
	pltig(phmi, thmi, 1, d19to);
	pltig(phma, thma, 2, d19to);

	th   = thmi;
	for(i=1; i <= anpu; i++) {
	    ph  =  phmi;
	    pltig(ph,th, 3, d19to);
	    for(j=1; j < npu; j++) {
		ph  =  ph + dph;
		pltig(ph, th, 4, d19to);
	    }
	      th = th + dth;
	}

	ph   = phmi;
	for(i=1; i <= npu; i++)  {
	    th  = thmi;
	    pltig(ph,th, 3, d19to);
	    for(j=1; j < anpu; j++)  {
		th = th + dth;
		pltig(ph, th, 4, d19to);
	    }
	    ph = ph + dph;
	}

        pltlla(bu, (sizeof(bu)-1), in, 0, 6);
        pltho();
        pltclose();
}