/*

---------------------------------------------------------------------
                         fontch.h
     Coordenadas del conjunto standard de simbolos [PLOT90c].
---------------------------------------------------------------------
  (ASCII STANDARD SYMBOLS)
  (30-SEP-77) (Writen by Nelson H.F. Beebe, Aarhus, Denmark)
  (14-ENE-85) Adaptacion para genrar un archivo, para el uso 
               en una microcomputadora.  (FCO. GIL), [F80].
  (29-JUL-88) Conversion a "C", G.Cisneros.

  The following array specifies the form of each boldface ascii
  character. The characteres are built up in a grid 15 high by
  7 wide, numbered 0,1,...,15 and 0,1,2,...,7 respectively. The
  highest bit of the x-coordinate, treated as a 4-bit value,
  specifies that the pen is to be lifted if 1, and left as
  previosliy if 0. The X, Y coordinates are packed as two 4-bit
  quantities by multiplying x by 16. The hexadecimal representation
  of each character's table is given for convenience, and may
  be used as input to a conversion program to obtain 8-bit bytes
  if further packing of the coordinates is desired (each line
  containing "hex" in columns 4-6 may be read formatted).
  ascii characters 0-31 have no printer graphic, and are trated
  as spaces. Alternate formations of letters may be inserted
  by changing the pointer in lasc[] for any character if
  the last coordinate pair has the value 0x84 (decimal 132)
  which is the coordinate of the start of the next character.
  
*/

char asxy[943] = {
/* character  0 (Octal 000) = NUL        length= 5 */
0x86, 0x66, 0x6c, 0x0c, 0x06,

/* character  1 (Octal 001) = SOH        length= 5 */
0x89, 0x3c, 0x69, 0x36, 0x09,

/* character  2 (Octal 002) = STX        length= 4 */
0x86, 0x66, 0x3c, 0x06,

/* character  3 (Octal 003) = ETX        length= 7 */
0xb9, 0x3c, 0x0c, 0x06, 0x66, 0x6c, 0x3c,

/* character  4 (Octal 004) = EOT        length= 6 */
0xb9, 0x3c, 0x09, 0x36, 0x69, 0x3c,

/* character  5 (0CTAL 005) = ENQ        length= 5 */
0xb9, 0x3c, 0x07, 0x67, 0x3c,

/* character  6 (Octal 006) = ACK        length= 5 */
0x86, 0x6c, 0x39, 0x0c, 0x66,

/* character 7 (Octal 007) = BEL         length= 5 */
0xb6, 0x3c, 0x2b, 0x4b, 0x3c,

/* character  8 (Octal 010) = BS         length= 5 */
0x89, 0x18, 0x1a, 0x09, 0x69,

/* character  9 (Octal 011) = HT         length= 5 */
0xb6, 0x27, 0x47, 0x36, 0x3c,

/* character 10 (Octal 012) = LF         length= 5 */
0x89, 0x69, 0x5a, 0x58, 0x69,

/* character  11 (Octal 013) = VT        length= 4 */
0x86, 0x6c, 0x0c, 0x66,

/* character  12 (Octal 014) = FF        length= 8 */
0x89, 0x36, 0x69, 0x3c, 0x09, 0x69, 0x3c, 0x36,

/* character  13 (Octal 015) = CR        length= 6 */
0x86, 0x3c, 0x66, 0x0a, 0x6a, 0x06,

/* character  14 (Octal 016) = SO        length= 8 */
0x87, 0x67, 0x3c, 0x07, 0x8b, 0x6b, 0x36, 0x0b,

/* character  15 (Octal 017) = SI        length= 4 */
0xb6, 0x6c, 0x0c, 0x36,

/* character  16 (Octal 020) = DLE       length= 10 */
0x86, 0x66, 0x6c, 0x0c, 0x06, 0x09, 0x69, 0x39, 0x3c, 0x36,

/* character  17 (Octal 021) = DC1       length= 14 */
0x88, 0x26, 0x46, 0x68, 0x6a, 0x4c, 0x2c, 0x0a, 0x08, 0x09, 
0x69, 0x39, 0x3c, 0x36,

/* character  18 (Octal 022) = DC2       length= 9 */
0x88, 0x26, 0x46, 0x68, 0x6a, 0x4c, 0x2c, 0x0a, 0x08,

/* character  19 (Octal 023) = DC3       length= 5 */
0x8c, 0x39, 0x36, 0x39, 0x6c,

/* character  20 (Octal 024) = DC4       length= 8 */
0x8c, 0x39, 0x36, 0x39, 0x6c, 0x0c, 0x36, 0x6c,

/* character  21 (Octal 025) = NAK       length= 8 */
0x86, 0x39, 0x66, 0x39, 0x3c, 0x06, 0x66, 0x3c,

/* character  22 (Octal 026) = SYN       length= 3 */
0x8c, 0x36, 0x6c,

/* character  23 (Octal 027) = ETB       length= 3 */
0x8c, 0x69, 0x06,

/* character  24 (Octal 030) = CAN       length= 3 */
0x86, 0x3c, 0x66,

/* character  25 (Octal 031) = EM        length= 3 */
0xec, 0x09, 0x66,

/* character  26 (Octal 032) = SUB       length= 13 */
0x86, 0x17, 0x1b, 0x0c, 0x1b, 0x5b, 0x6c, 0x5b, 0x57, 0x66, 
0x57, 0x17, 0x06,

/* character  27 (Octal 033) = ESC       length= 8 */
0x86, 0x66, 0x6c, 0x0c, 0x06, 0x6c, 0x0c, 0x66,

/* character  28 (Octal 034) = FS        length= 5 */
0x86, 0x0c, 0x66, 0x6c, 0x06,

/* character  29 (Octal 035) = GS        length= 5 */
0x86, 0x6c, 0x0c, 0x66, 0x06,

/* character  30 (Octal 036) = RS        length= 7 */
0xed, 0x6e, 0x0e, 0x39, 0x04, 0x64, 0x65,

/* character  31 (Octal 037) = US        length= 6 */
0x94, 0x1e, 0x0e, 0x6e, 0x5e, 0x54,

/* character  32 (Octal 040) = SP        length= 1 */
0xE4,

/* character  33 (Octal 041) = !         length= 10 */
0xa4, 0x34, 0x35, 0x25, 0x24, 0xa7, 0x37, 0x3e, 0x2e, 0x27,

/* character  34 (Octal 042) = "         length= 10 */
0x9c, 0x2c, 0x2e, 0x1e, 0x1c, 0xcc, 0x5c, 0x5e, 0x4e, 0x4c,

/* character  35 (Octal 043) = #         length= 8 */
0x96, 0x2c, 0xdc, 0x46, 0xe8, 0x08, 0x8a, 0x6a,

/* character  36 (Octal 044) = $         length= 20 */
0x86, 0x15, 0x55, 0x66, 0x68, 0x59, 0x19, 0x0a, 0x0c, 0x1d, 
0x5d, 0x6c, 0x5d, 0x4d, 0x4e, 0x44, 0x45, 0x25, 0x24, 0x2e,

/* character  37 (Octal 045) = %         length= 16 */
0xad, 0x1e, 0x0d, 0x0b, 0x1a, 0x2b, 0x2d, 0xee, 0x04, 0xc5, 
0x47, 0x58, 0x67, 0x65, 0x54, 0x45,

/* character  38 (Octal 046) = &         length= 15 */
0xb6, 0x58, 0x67, 0x66, 0x54, 0x14, 0x05, 0x08, 0x4b, 0x4d, 
0x3e, 0x2e, 0x1d, 0x1b, 0x64,

/* character  39 (Octal 047) = '         length= 5 */
0xac, 0x3c, 0x3e, 0x2e, 0x2c,

/* character  40 (Octal 050) = (         length= 4 */
0xc4, 0x26, 0x2c, 0x4e,

/* character  41 (Octal 051) = )         length= 4 */
0xa4, 0x46, 0x4c, 0x2e,

/* character   42 (Octal 052) = *        length= 11 */
0x96, 0x5c, 0x39, 0x3c, 0x36, 0x39, 0x1c, 0x56, 0x39, 0x09, 
0x69,

/* character   43 (Octal 053) = +        length= 5 */
0x89, 0x69, 0x39, 0x3c, 0x36,

/* character   44 (Octal 054) = ,        length= 6 */
0xa2, 0x33, 0x35, 0x25, 0x24, 0x34,

/* character   45 (Octal 055) = -        length= 2 */
0x99, 0x59,

/* character   46 (Octal 056) = .        length= 5 */
0xa4, 0x34, 0x35, 0x25, 0x24,

/* character   47 (Octal 057) = /        length= 2 */
0x94, 0x5e,

/* character   48 (Octal 060) = 0        length= 9 */
0xa4, 0x15, 0x1d, 0x2e, 0x4e, 0x5d, 0x55, 0x44, 0x24,

/* character   49 (Octal 061) = 1        length= 5 */
0xa4, 0x44, 0x34, 0x3e, 0x2d,

/* character   50 (Octal 062) = 2        length= 8 */
0x8d, 0x1e, 0x4e, 0x5d, 0x5a, 0x06, 0x04, 0x64,

/* character   51 (Octal 063) = 3        length= 11 */
0x86, 0x24, 0x44, 0x66, 0x68, 0x49, 0x6a, 0x6c, 0x4e, 0x2e, 
0x0c,

/* character   52 (Octal 064) = 4        length= 6 */
0xb4, 0x54, 0x44, 0x4e, 0x07, 0x57,

/* character   53 (Octal 065) = 5        length= 9 */
0x85, 0x14, 0x44, 0x66, 0x68, 0x4a, 0x0a, 0x0e, 0x6e,

/* character   54 (Octal 066) = 6        length= 12 */
0x88, 0x1a, 0x5a, 0x68, 0x65, 0x54, 0x14, 0x05, 0x0d, 0x1e, 
0x5e, 0x6d,

/* character   55 (Octal 067) = 7        length= 4 */
0x94, 0x15, 0x6e, 0x0e,

/* character   56 (Octal 070) = 8        length= 17 */
0xa9, 0x49, 0x6a, 0x6d, 0x5e, 0x1e, 0x0d, 0x0a, 0x29, 0x49, 
0x68, 0x65, 0x54, 0x14, 0x05, 0x08, 0x29,

/* character   57 (Octal 071) = 9        length= 12 */
0x85, 0x14, 0x54, 0x65, 0x6d, 0x5e, 0x1e, 0x0d, 0x0a, 0x18, 
0x58, 0x69,

/* character   58 (Octal 072) = :        length= 10 */
0xa4, 0x34, 0x35, 0x25, 0x24, 0xa7, 0x37, 0x38, 0x28, 0x27,

/* character   59 (Octal 073) = ;        length= 11 */
0xa2, 0x33, 0x35, 0x25, 0x24, 0x34, 0xb7, 0x38, 0x28, 0x27, 
0x37,

/* character   60 (Octal 074) = <        length= 3 */
0xcd, 0x09, 0x45,

/* character   61 (Octal 075) = =        length= 4 */
0x98, 0x58, 0xda, 0x1a,

/* character   62 (Octal 076) = >        length= 3 */
0x85, 0x49, 0x0d,

/* character   63 (Octal 077) = ?        length= 13 */
0xa4, 0x34, 0x35, 0x25, 0x24, 0xa6, 0x27, 0x59, 0x5d, 0x4e, 
0x2e, 0x1d, 0x1c,

/* character   64 (Octal 100) = @        length= 16 */
0xc8, 0x4a, 0x3b, 0x2a, 0x28, 0x37, 0x48, 0x57, 0x5c, 0x4d, 
0x2d, 0x1c, 0x16, 0x25, 0x45, 0x56,

/* character   65 (Octal 101) = A        length= 9 */
0x84, 0x09, 0x69, 0x09, 0x0c, 0x2e, 0x4e, 0x6c, 0x64,

/* character   66 (Octal 102) = B        length= 12 */
0x84, 0x0e, 0x5e, 0x6d, 0x6a, 0x59, 0x09, 0x59, 0x68, 0x65, 
0x54, 0x04,

/* character   67 (Octal 103) = C        length= 8 */
0xed, 0x5e, 0x1e, 0x0c, 0x06, 0x14, 0x54, 0x65,

/* character   68 (Octal 104) = D        length= 7 */
0x84, 0x44, 0x66, 0x6c, 0x4e, 0x0e, 0x04,

/* character   69 (Octal 105) = E        length= 7 */
0xee, 0x0e, 0x09, 0x49, 0x09, 0x04, 0x64,

/* character   70 (Octal 106) = F        length= 6 */
0xee, 0x0e, 0x09, 0x49, 0x09, 0x04,

/* character   71 (Octal 107) = G        length= 12 */
0xa7, 0x28, 0x68, 0x66, 0x54, 0x14, 0x06, 0x0c, 0x1e, 0x5e, 
0x6d, 0x6c,

/* character   72 (Octal 110) = H        length= 6 */
0x84, 0x0e, 0x09, 0x69, 0x6e, 0x64,

/* character   73 (Octal 111) = I        length= 6 */
0xa4, 0x44, 0x34, 0x3e, 0x2e, 0x4e,

/* character   74 (Octal 112) = J        length= 7 */
0x86, 0x14, 0x34, 0x46, 0x4e, 0x3e, 0x5e,

/* character   75 (Octal 113) = K        length= 7 */
0x84, 0x0e, 0x09, 0x29, 0x6e, 0x29, 0x64,

/* character   76 (Octal 114) = L        length= 3 */
0x8e, 0x04, 0x64,

/* character   77 (Octal 115) = M        length= 5 */
0x84, 0x0e, 0x39, 0x6e, 0x64,

/* character   78 (Octal 116) = N        length= 4 */
0x84, 0x0e, 0x64, 0x6e,

/* character   79 (Octal 117) = O        length= 9 */
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x65, 0x54, 0x14, 0x05,

/* character   80 (Octal 120) = P        length= 7 */
0x84, 0x0e, 0x5e, 0x6d, 0x6a, 0x59, 0x09,

/* character   81 (Octal 121) = Q        length= 13 */
0x86, 0x0c, 0x2e, 0x4e, 0x6c, 0x66, 0x55, 0x46, 0x64, 0x55, 
0x44, 0x24, 0x06,

/* character   82 (Octal 122) = R        length= 10 */
0x84, 0x0e, 0x5e, 0x6d, 0x6a, 0x59, 0x49, 0x64, 0x49, 0x09,

/* character   83 (Octal 123) = S        length= 12 */
0x85, 0x14, 0x54, 0x65, 0x68, 0x59, 0x19, 0x0a, 0x0d, 0x1e, 
0x5e, 0x6d,

/* character   84 (Octal 124) = T        length= 4 */
0xb4, 0x3e, 0x0e, 0x6e,

/* character   85 (Octal 125) = U        length= 6 */
0x8e, 0x06, 0x14, 0x54, 0x66, 0x6e,

/* character   86 (Octal 126) = V        length= 3 */
0x8e, 0x34, 0x6e,

/* character   87 (Octal 127) = W        length= 5 */
0x8e, 0x24, 0x3a, 0x44, 0x6e,

/* character   88 (Octal 130) = X        length= 8 */
0x84, 0x05, 0x6d, 0x6e, 0x8e, 0x0d, 0x65, 0x64,

/* character   89 (Octal 131) = Y        length= 7 */
0xb9, 0x6d, 0x6e, 0x8e, 0x0d, 0x39, 0x34,

/* character   90 (Octal 132) = Z        length= 8 */
0x8e, 0x6e, 0x39, 0x29, 0x49, 0x39, 0x04, 0x64,

/* character   91 (Octal 133) = [        length= 4 */
0xce, 0x2e, 0x24, 0x44,

/* character   92 (Octal 134) = \        length= 2 */
0x8e, 0x64,

/* character   93 (Octal 135) = ]        length= 4 */
0xae, 0x4e, 0x44, 0x24,

/* character   94 (Octal 136) = ^        length= 3 */
0x99, 0x3c, 0x59,

/* character   95 (Octal 137) = _        length= 2 */
0x83, 0x63,

/* character   96 (Octal 140) = `        length= 2 */
0xae, 0x4d,

/* character   97 (Octal 141) = a        length= 13 */
0x89, 0x1b, 0x5b, 0x69, 0x65, 0x54, 0x14, 0x05, 0x07, 0x18, 
0x58, 0x67, 0x64,

/* character   98 (Octal 142) = b        length= 10 */
0x84, 0x09, 0x1b, 0x5b, 0x69, 0x66, 0x54, 0x14, 0x06, 0x0e,

/* character   99 (Octal 143) = c        length= 8 */
0xe9, 0x5b, 0x1b, 0x0a, 0x05, 0x14, 0x54, 0x66,

/* character   100 (Octal 144) = d       length= 10 */
0xee, 0x66, 0x54, 0x14, 0x06, 0x09, 0x1b, 0x5b, 0x69, 0x64,

/* character   101 (Octal 145) = e       length= 10 */
0x88, 0x68, 0x6a, 0x5b, 0x1b, 0x0a, 0x06, 0x14, 0x54, 0x65,

/* character   102 (Octal 146) = f       length= 9 */
0xa4, 0x29, 0x19, 0x39, 0x29, 0x2c, 0x3e, 0x5e, 0x6d,

/* character   103 (Octal 147) = g       length= 13 */
0x83, 0x11, 0x51, 0x63, 0x69, 0x5b, 0x1b, 0x09, 0x06, 0x14, 
0x54, 0x66, 0x6b,

/* character   104 (Octal 150) = h       length= 7 */
0x84, 0x0e, 0x09, 0x1b, 0x5b, 0x69, 0x64,

/* character   105 (Octal 151) = i       length= 10 */
0xa4, 0x44, 0x34, 0x3b, 0x2b, 0xac, 0x2d, 0x3d, 0x3c, 0x2c,

/* character   106 (Octal 152) = j       length= 11 */
0x84, 0x11, 0x31, 0x44, 0x4b, 0x3b, 0xbc, 0x3d, 0x4d, 0x4c, 
0x3c,

/* character   107 (Octal 153) = k       length= 10 */
0x84, 0x0e, 0x09, 0x2b, 0x4b, 0x49, 0x38, 0x18, 0x09, 0x64,

/* character   108 (Octal 154) = l       length= 5 */
0xa4, 0x44, 0x34, 0x3e, 0x2e,

/* character   109 (Octal 155) = m       length= 12 */
0x84, 0x0b, 0x09, 0x1b, 0x2b, 0x3a, 0x34, 0x3a, 0x4b, 0x5b, 
0x69, 0x64,

/* character   110 (Octal 156) = n       length= 7 */
0x84, 0x0b, 0x09, 0x2b, 0x4b, 0x69, 0x64,

/* character   111 (Octal 157) = o       length= 9 */
0x86, 0x09, 0x1b, 0x5b, 0x69, 0x66, 0x54, 0x14, 0x06,

/* character   112 (Octal 160) = p       length= 10 */
0x81, 0x09, 0x1b, 0x5b, 0x69, 0x66, 0x54, 0x14, 0x06, 0x0b,

/* character   113 (Octal 161) = q       length= 13 */
0xd5, 0x44, 0x14, 0x06, 0x09, 0x1b, 0x4b, 0x59, 0x52, 0x42, 
0x62, 0x52, 0x51,

/* character   114 (Octal 162) = r       length= 6 */
0x84, 0x0b, 0x09, 0x1b, 0x5b, 0x69,

/* character   115 (Octal 163) = s       length= 12 */
0x85, 0x14, 0x54, 0x65, 0x66, 0x58, 0x18, 0x09, 0x0a, 0x1b, 
0x5b, 0x6a,

/* character   116 (Octal 164) = t       length= 10 */
0xbe, 0x3b, 0x2b, 0x4b, 0x3b, 0x35, 0x44, 0x54, 0x65, 0x66,

/* character   117 (Octal 165) = u       length= 7 */
0x8b, 0x06, 0x14, 0x54, 0x66, 0x6b, 0x64,

/* character   118 (Octal 166) = v       length= 3 */
0x8b, 0x34, 0x6b,

/* character   119 (Octal 167) = w       length= 5 */
0x8b, 0x24, 0x39, 0x44, 0x6b,

/* character   120 (Octal 170) = x       length= 8 */
0x84, 0x05, 0x6a, 0x6b, 0x8b, 0x0a, 0x65, 0x64,

/* character   121 (Octal 171) = y       length= 10 */
0x8b, 0x06, 0x14, 0x54, 0x66, 0x6b, 0x62, 0x51, 0x11, 0x02,

/* character   122 (Octal 172) = z       length= 6 */
0x8b, 0x6b, 0x04, 0x64, 0xa8, 0x48,

/* character   123 (Octal 173) = {       length= 7 */
0xce, 0x3e, 0x3a, 0x29, 0x38, 0x35, 0x44,

/* character   124 (Octal 174) = |       length= 2 */
0xbe, 0x34,

/* character   125 (Octal 175) = }       length= 7 */
0xae, 0x3d, 0x3a, 0x49, 0x38, 0x35, 0x24,

/* character   126 (Octal 176) = ~       length= 6 */
0x99, 0x1a, 0x2b, 0x58, 0x69, 0x6a,

/* character   127 (Octal 177) = DEL     length= 5 */
0xbb, 0x19, 0x37, 0x19, 0x69
};

/*
   The following array specifies the position of each ascii
   character in the above symbol table. ascii character k
   starts at location lasc[k] in asxy[] and ends at lasc[k+1]-1.
*/

int lasc[129] = {
  0,   5,  10,
 14,  21,  27,
 32,  37,  42,
 47,  52,  57,
 61,  69,  75,
 83,  87,  97,
111, 120, 125,
133, 141, 144,
147, 150, 153,
166, 174, 179,
184, 191, 197,
198, 208, 218,
226, 246, 262,
277, 282, 286,
290, 301, 306,
312, 314, 319,
321, 330, 335,
343, 354, 360,
369, 381, 385,
402, 414, 424,
435, 438, 442,
445, 458, 474,
483, 495, 503,
510, 517, 523,
535, 541, 547,
554, 561, 564,
569, 573, 582,
589, 602, 612,
624, 628, 634,
637, 642, 650,
657, 665, 669,
671, 675, 678,
680, 682, 695,
705, 713, 723,
733, 742, 755,
762, 772, 783,
793, 798, 810,
817, 826, 836,
849, 855, 867,
877, 884, 887,
892, 900, 910,
916, 923, 925,
932, 938, 943
};

/* 
     int mlasc = 129, masxy = 943;   


   (BOLDFACE SYMBOLS).                                                  
   (30-SEP-77)  (Writen by Nelson H.F. Beebe, Aarhus, Denmark)
   (24-ENE-85)  Adapatacion para generar un archivo, para el uso
                delas coordenadas de los simbolos ASCII                
                en una microcomputadora, FCO.GIL [F80].                 
   (29-JUL-88)  Conversion a "C", G.Cisneros.

  The following array specifies the form of each boldface ascii
  character. The characteres are built up in a grid 15 high by
  7 wide, numbered 0,1,...,15 and 0,1,2,...,7 respectively. The
  highest bit of the x-coordinate, treated as a 4-bit value,
  specifies that the pen is to be lifted if 1, and left as
  previosliy if 0. The X, Y coordinates are packed as two 4-bit
  quantities by multiplying x by 16. The hexadecimal representation
  of each character's table is given for convenience, and may
  be used as input to a conversion program to obtain 8-bit bytes
  if further packing of the coordinates is desired (each line
  containing "hex" in columns 4-6 may be read formatted).
  ascii characters 0-31 have no printer graphic, and are trated
  as spaces. Alternate formations of letters may be inserted
  by changing the pointer in lasc[] for any character if
  the last coordinate pair has the value 0x84 (decimal 132)
  which is the coordinate of the start of the next character.

*/

char bfxy[1561] = {

/*  boldface character   0 (Octal 000) = NUL      length= 5 */
0x86, 0x66, 0x6c, 0x0c, 0x06,

/*  boldface character   1 (0CTAL 001) = SOH      length= 5 */
0x89, 0x3c, 0x69, 0x36, 0x09,

/*  boldface character   2 (Octal 002) = STX      length= 4 */
0x86, 0x66, 0x3c, 0x06,

/*  boldface character   3 (Octal 003) = ETX      length= 7 */
0xb9, 0x3c, 0x0c, 0x06, 0x66, 0x6c, 0x3c,

/*  boldface character   4 (Octal 004) = EOT      length= 6 */
0xb9, 0x3c, 0x09, 0x36, 0x69, 0x3c,

/*  boldface character   5 (Octal 005) = ENQ      length= 5 */
0xb9, 0x3c, 0x07, 0x67, 0x3c,

/*  boldface character   6 (Octal 005) = ACK      length= 5 */
0x86, 0x6c, 0x39, 0x0c, 0x66,

/*  boldface character   7 (Octal 007) = BEL      length= 5 */
0xb6, 0x3c, 0x2b, 0x4b, 0x3c,

/*  boldface character   8 (Octal 010) = BS       length= 5 */
0x89, 0x18, 0x1a, 0x09, 0x69,

/*  boldface character   9 (Octal 011) = HT       length= 5 */
0xb6, 0x27, 0x47, 0x36, 0x3c,

/*  boldface character   10 (Octal 012) = LF      length= 5 */
0x89, 0x69, 0x5a, 0x58, 0x69,

/*  boldface character   11 (Octal 013) = VT      length= 4 */
0x86, 0x6c, 0x0c, 0x66,

/*  boldface character   12 (Octal 014) = FF      length= 8 */
0x89, 0x36, 0x69, 0x3c, 0x09, 0x69, 0x3c, 0x36,

/*  boldface character   13 (Octal 015) = CR      length= 6 */
0x86, 0x3c, 0x66, 0x0a, 0x6a, 0x06,

/*  boldface character   14 (Octal 016) = SO      length= 8 */
0x87, 0x67, 0x3c, 0x07, 0x8b, 0x6b, 0x36, 0x0b,

/*  boldface character   15 (Octal 017) = SI      length= 4 */
0xb6, 0x6c, 0x0c, 0x36,

/*  boldface character   16 (Octal 020) = DLE     length= 10 */
0x86, 0x66, 0x6c, 0x0c, 0x06, 0x09, 0x69, 0x39, 0x3c, 0x36,

/*  boldface character   17 (Octal 021) = DC1     length= 14 */
0x88, 0x26, 0x46, 0x68, 0x6a, 0x4c, 0x2c, 0x0a, 0x08, 0x09, 
0x69, 0x39, 0x3c, 0x36,

/*  boldface character   18 (Octal 022) = DC2     length= 9 */
0x88, 0x26, 0x46, 0x68, 0x6a, 0x4c, 0x2c, 0x0a, 0x08,

/*  boldface character   19 (Octal 023) = DC3     length= 5 */
0x8c, 0x39, 0x36, 0x39, 0x6c,

/*  boldface character   20 (Octal 024) = DC4     length= 8 */
0x8c, 0x39, 0x36, 0x39, 0x6c, 0x0c, 0x36, 0x6c,

/*  boldface character   21 (Octal 025) = NAK     length= 8 */
0x86, 0x39, 0x66, 0x39, 0x3c, 0x06, 0x66, 0x3c,

/*  boldface character   22 (Octal 026) = SYN     length= 3 */
0x8c, 0x36, 0x6c,

/*  boldface character   23 (Octal 027) = ETB     length= 3 */
0x8c, 0x69, 0x06,

/*  boldface character   24 (Octal 030) = CAN     length= 3 */
0x86, 0x3c, 0x66,

/*  boldface character   25 (Octal 031) = EM      length= 3 */
0xec, 0x09, 0x66,

/*  boldface character   26 (Octal 032) = SUB     length= 13 */
0x86, 0x17, 0x1b, 0x0c, 0x1b, 0x5b, 0x6c, 0x5b, 0x57, 0x66, 
0x57, 0x17, 0x06,

/*  boldface character   27 (Octal 033) = ESC     length= 8 */
0x86, 0x66, 0x6c, 0x0c, 0x06, 0x6c, 0x0c, 0x66,

/*  boldface character   28 (Octal 034) = FS      length= 5 */
0x86, 0x0c, 0x66, 0x6c, 0x06,

/*  boldface character   29 (Octal 035) = GS      length= 5 */
0x86, 0x6c, 0x0c, 0x66, 0x06,

/*  boldface character   30 (Octal 036) = RS      length= 7 */
0xed, 0x6e, 0x0e, 0x39, 0x04, 0x64, 0x65,

/*  boldface character   31 (Octal 037) = US      length= 6 */
0x94, 0x1e, 0x0e, 0x6e, 0x5e, 0x54,

/*  boldface character   32 (Octal 040) = SP      length= 1 */
0xe4,

/*  boldface character   33 (Octal 041) = !       length= 10 */
0xa4, 0x26, 0x46, 0x44, 0x24, 0xa7, 0x2e, 0x4e, 0x47, 0x27,

/*  boldface character   34 (Octal 042) = "       length= 10 */
0x9c, 0x1e, 0x2e, 0x2c, 0x1c, 0xcc, 0x4e, 0x5e, 0x5c, 0x4c,

/*  boldface character   35 (Octal 043) = #       length= 34 */
0x95, 0x17, 0x07, 0x08, 0x18, 0x1a, 0x0a, 0x0b, 0x1b, 0x1d, 
0x2d, 0x2b, 0x4b, 0x4d, 0x5d, 0x5b, 0x6b, 0x6a, 0x5a, 0x58, 
0x68, 0x67, 0x57, 0x55, 0x45, 0x47, 0x27, 0x25, 0x15, 0xa8, 
0x2a, 0x4a, 0x48, 0x28,

/*  boldface character   36 (Octal 044) = $       length= 25 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x48, 0x18, 0x09, 0x0d, 0x1e, 
0x5e, 0x6d, 0x6b, 0x4b, 0x4c, 0x2c, 0x2a, 0x5a, 0x69, 0x65, 
0x54, 0x14, 0x05, 0xb4, 0x3e,

/*  boldface character   37 (Octal 045) = %       length= 27 */
0x8b, 0x0e, 0x3e, 0x3b, 0x0b, 0x9c, 0x1d, 0x2d, 0x2c, 0x1c, 
0x95, 0x5e, 0x6e, 0x6d, 0x24, 0x14, 0x15, 0xc4, 0x47, 0x77, 
0x74, 0x44, 0xd5, 0x56, 0x66, 0x65, 0x55,

/*  boldface character   38 (Octal 046) = &       length= 23 */
0xa9, 0x1a, 0x1c, 0x2d, 0x4d, 0x5c, 0x5a, 0x27, 0x26, 0x46, 
0x47, 0x67, 0x65, 0x54, 0x14, 0x05, 0x07, 0x3a, 0x3c, 0xc9, 
0x58, 0x47, 0x38,

/*  boldface character   39 (Octal 047) = '       length= 5 */
0xbb, 0x3e, 0x4e, 0x4b, 0x3b,

/*  boldface character   40 (Octal 050) = (       length= 11 */
0xa5, 0x2d, 0x3e, 0x5e, 0x5c, 0x4c, 0x46, 0x56, 0x54, 0x34, 
0x25,

/*  boldface character   41 (Octal 051) = )       length= 11 */
0x94, 0x16, 0x26, 0x2c, 0x1c, 0x1e, 0x3e, 0x4d, 0x45, 0x34, 
0x14,

/*  boldface character   42 (Octal 052) = *       length= 19 */
0x97, 0x28, 0x08, 0x09, 0x29, 0x1a, 0x2b, 0x39, 0x4b, 0x5a, 
0x49, 0x69, 0x68, 0x48, 0x57, 0x46, 0x38, 0x26, 0x17,

/*  boldface character   43 (Octal 053) = +       length= 13 */
0x88, 0x0a, 0x2a, 0x2c, 0x4c, 0x4a, 0x6a, 0x68, 0x48, 0x46, 
0x26, 0x28, 0x08,

/*  boldface character   44 (Octal 054) = ,       length= 7 */
0x94, 0x24, 0x26, 0x46, 0x43, 0x13, 0x14,

/*  boldface character   45 (Octal 055) = -       length= 5 */
0x88, 0x0a, 0x6a, 0x68, 0x08,

/*  boldface character   46 (Octal 056) = .       length= 5 */
0xa4, 0x26, 0x46, 0x44, 0x24,

/*  boldface character   47 (Octal 057) = /       length= 7 */      
0x84, 0x05, 0x4e, 0x6e, 0x6d, 0x24, 0x04,

/*  boldface character   48 (Octal 060) = 0       length= 14 */ 
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x65, 0x54, 0x14, 0x05, 0xa6, 
0x2c, 0x4c, 0x46, 0x26,

/*  boldface character   49 (Octal 061) = 1       length= 7 */
0xa4, 0x2c, 0x1c, 0x1e, 0x4e, 0x44, 0x24,

/*  boldface character   50 (Octal 062) = 2       length= 16 */
0x84, 0x06, 0x4a, 0x4c, 0x2c, 0x2A, 0x0a, 0x0d, 0x1e, 0x5e, 
0x6d, 0x69, 0x36, 0x66, 0x64, 0x04,

/*  boldface character   51 (Octal = 063) = 3     length= 24 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x48, 0x28, 0x2a, 0x4a, 0x4c, 
0x2c, 0x2B, 0x0b, 0x0d, 0x1e, 0x5e, 0x6d, 0x6a, 0x59, 0x68, 
0x65, 0x54, 0x14, 0x05,

/*  boldface character   52 (Octal 064) = 4       length= 16 */
0x86, 0x09, 0x2e, 0x5e, 0x58, 0x68, 0x66, 0x56, 0x54, 0x34, 
0x36, 0x06, 0xa8, 0x3b, 0x38, 0x28,

/*  boldface character   53 (Octal 065) = 5       length= 18 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x49, 0x09, 0x0e, 0x6e, 0x6c, 
0x2c, 0x2b, 0x5b, 0x6a, 0x65, 0x54, 0x14, 0x05,

/*  boldface character   54 (Octal 066) = 6       length= 21 */
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x6b, 0x4b, 0x4c, 0x2c, 0x2a, 
0x5a, 0x69, 0x65, 0x54, 0x14, 0x05, 0xa6, 0x28, 0x48, 0x46, 
0x26,

/*  boldface character   55 (Octal 067) = 7       length= 8 */
0x94, 0x4c, 0x0c, 0x0e, 0x6e, 0x6c, 0x34, 0x14,

/*  boldface character   56 (Octal 070) = 8       length= 25 */
0x85, 0x08, 0x19, 0x0a, 0x0d, 0x1e, 0x5e, 0x6d, 0x6a, 0x59, 
0x68, 0x65, 0x54, 0x14, 0x05, 0xaa, 0x2c, 0x4c, 0x4a, 0x2a, 
0xa6, 0x28, 0x48, 0x46, 0x26,

/*  boldface character   57 (Octal 071) = 9       length= 21 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x48, 0x18, 0x09, 0x0d, 0x1e, 
0x5e, 0x6d, 0x65, 0x54, 0x14, 0x05, 0xaa, 0x2c, 0x4c, 0x4a, 
0x2a,

/*  boldface character   58 (Octal 072) = :       length= 10 */
0xa4, 0x26, 0x46, 0x44, 0x24, 0xa8, 0x2a, 0x4a, 0x48, 0x28,

/*  boldface character   59 (Octal 073) = ;       length= 12 */
0x94, 0x24, 0x26, 0x46, 0x43, 0x13, 0x14, 0xa8, 0x2a, 0x4a, 
0x48, 0x28,

/*  boldface character   60 (Octal 074) = <       length= 7 */
0xd4, 0x09, 0x5e, 0x5c, 0x29, 0x56, 0x54,

/*  boldface character   61 (Octal 075) = =       length= 10 */
0x87, 0x08, 0x68, 0x67, 0x07, 0x8A, 0x0b, 0x6b, 0x6A, 0x0a,

/*  boldface character   62 (Octal 076) = >       length= 7 */
0x94, 0x16, 0x49, 0x1c, 0x1e, 0x69, 0x14,

/*  boldface character   63 (Octal 077) = ?       length= 19 */
0xa4, 0x26, 0x46, 0x44, 0x24, 0xa7, 0x28, 0x4a, 0x4c, 0x2c, 
0x2b, 0x0b, 0x0d, 0x1e, 0x5e, 0x6d, 0x6a, 0x47, 0x27,

/*  boldface character   64 (Octal 100) = @       length= 21 */
0xb8, 0x3a, 0x4a, 0x48, 0x38, 0xe8, 0x58, 0x5a, 0x4b, 0x3b, 
0x2a, 0x28, 0x37, 0x67, 0x6b, 0x5c, 0x2c, 0x1b, 0x17, 0x26, 
0x66,

/*  boldface character   65 (Octal  101) = A      length= 16 */
0x84, 0x0d, 0x1e, 0x5e, 0x6d, 0x64, 0x44, 0x48, 0x28, 0x24, 
0x04, 0xaa, 0x2c, 0x4c, 0x4a, 0x2a,

/*  boldface character   66 (Octal 102) = B       length= 20 */
0x84, 0x0e, 0x5e, 0x6d, 0x6a, 0x59, 0x68, 0x65, 0x54, 0x04, 
0xaa, 0x2c, 0x4c, 0x4a, 0x2a, 0xa6, 0x28, 0x48, 0x46, 0x26,

/*  boldface character   67 (Octal 103) = C       length= 17 */
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x6b, 0x4b, 0x4c, 0x2c, 0x26, 
0x46, 0x47, 0x67, 0x65, 0x54, 0x14, 0x05,

/*  boldface character   68 (Octal 104) = D       length= 12 */
0x84, 0x0e, 0x5e, 0x6d, 0x65, 0x54, 0x04, 0xa6, 0x2c, 0x4c, 
0x46, 0x26,

/*  boldface character   69 (Octal 105) = E       length= 13 */
0x84, 0x0e, 0x6e, 0x6c, 0x2c, 0x2a, 0x4a, 0x48, 0x28, 0x26, 
0x66, 0x64, 0x04,

/*  boldface character   70 (Octal 106) = F       length= 11 */
0x84, 0x0e, 0x6e, 0x6c, 0x2c, 0x2a, 0x4a, 0x48, 0x28, 0x24, 
0x04,

/*  boldface character   71 (Octal 107) = G       length= 19 */
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x6b, 0x4b, 0x4c, 0x2c, 0x26, 
0x46, 0x48, 0x38, 0x3a, 0x6a, 0x65, 0x54, 0x14, 0x05,

/*  boldface character   72 (Octal 110) = H       length= 13 */
0x84, 0x0e, 0x2e, 0x2a, 0x4a, 0x4e, 0x6e, 0x64, 0x44, 0x48, 
0x28, 0x24, 0x04,

/*  boldface character   73 (Octal 111) = I       length= 5 */
0xa4, 0x2e, 0x4e, 0x44, 0x24,

/*  boldface character   74 (Octal 112) = J       length= 11 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x4e, 0x6e, 0x65, 0x54, 0x14, 
0x05,

/*  boldface character   75 (Octal 113) = K       length= 16 */
0x84, 0x0e, 0x2e, 0x2a, 0x4c, 0x4e, 0x6e, 0x6b, 0x49, 0x67, 
0x64, 0x44, 0x46, 0x28, 0x24, 0x04,

/*  boldface character   76 (Octal 114) = L       length= 7 */
0x84, 0x0e, 0x2e, 0x26, 0x66, 0x64, 0x04,

/*  boldface character   77 (Octal 115) = M       length= 13 */
0x84, 0x0e, 0x2e, 0x3b, 0x4e, 0x6e, 0x64, 0x44, 0x4a, 0x38, 
0x2a, 0x24, 0x04,

/*  boldface character   78 (Octal 116) = N       length= 11 */
0x84, 0x0e, 0x2e, 0x49, 0x4e, 0x6e, 0x64, 0x44, 0x29, 0x24, 
0x04,

/*  boldface character   79 (Octal 117) = O       length= 14 */
0x85, 0x0d, 0x1e, 0x5e, 0x6d, 0x65, 0x54, 0x14, 0x05, 0xa6, 
0x2c, 0x4c, 0x46, 0x26,

/*  boldface character   80 (Octal 120) = P       length= 14 */
0x84, 0x0e, 0x5e, 0x6d, 0x69, 0x58, 0x28, 0x24, 0x04, 0xaa, 
0x2c, 0x4c, 0x4a, 0x2a,

/*  boldface character   81 (Octal 121) = Q       length= 19 */
0xd4, 0x14, 0x05, 0x0d, 0x1e, 0x5e, 0x6d, 0x65, 0x74, 0x63, 
0x54, 0x45, 0x56, 0x65, 0xa6, 0x2c, 0x4c, 0x46, 0x26,

/*  boldface character   82 (Octal 122) = R       length= 19 */
0x84, 0x0e, 0x5e, 0x6d, 0x6a, 0x59, 0x68, 0x64, 0x44, 0x47, 
0x38, 0x28, 0x24, 0x04, 0xaa, 0x2c, 0x4c, 0x4a, 0x2a,

/*  boldface character   83 (Octal 123) = S       length= 23 */
0x85, 0x07, 0x27, 0x26, 0x46, 0x48, 0x18, 0x09, 0x0d, 0x1e, 
0x5e, 0x6d, 0x6b, 0x4b, 0x4c, 0x2c, 0x2a, 0x5a, 0x69, 0x65, 
0x54, 0x14, 0x05,

/*  boldface character   84 (Octal 124) = T       length= 9 */
0xa4, 0x2c, 0x0c, 0x0e, 0x6e, 0x6c, 0x4c, 0x44, 0x24,

/*  boldface character   85 (Octal 125) = U       length= 11 */
0x85, 0x0e, 0x2e, 0x26, 0x46, 0x4e, 0x6e, 0x65, 0x54, 0x14, 
0x05,

/*  boldface character   86 (Octal 126) = V       length= 12 */
0xa4, 0x07, 0x0e, 0x2e, 0x28, 0x36, 0x48, 0x4e, 0x6e, 0x67, 
0x44, 0x24,

/*  boldface character   87 (Octal 127) = W       length= 15 */
0x94, 0x07, 0x0e, 0x2e, 0x28, 0x39, 0x48, 0x4e, 0x6e, 0x67, 
0x54, 0x44, 0x36, 0x24, 0x14,

/*  boldface character   88 (Octal 130) = X       length= 21 */
0x84, 0x07, 0x29, 0x0b, 0x0e, 0x2e, 0x2c, 0x3b, 0x4c, 0x4e, 
0x6e, 0x6b, 0x49, 0x67, 0x64, 0x44, 0x46, 0x37, 0x26, 0x24, 
0x04,

/*  boldface character   89 (Octal 131) = Y       length= 14 */
0xa4, 0x28, 0x0b, 0x0e, 0x2e, 0x2c, 0x3a, 0x4c, 0x4e, 0x6e, 
0x6b, 0x48, 0x44, 0x24,

/*  boldface character   90 (Octal 132) = Z       length= 11 */
0x84, 0x07, 0x4c, 0x0c, 0x0e, 0x6e, 0x6b, 0x26, 0x66, 0x64, 
0x04,

/*  boldface character   91 (Octal 133) = [       length= 9 */
0x94, 0x1e, 0x4e, 0x4d, 0x3d, 0x35, 0x45, 0x44, 0x14,

/*  boldface character   92 (Octal 134) = \       length= 7 */
0xc4, 0x0d, 0x0e, 0x2e, 0x65, 0x64, 0x44,

/*  boldface character   93 (Octal 135) = ]       length= 9 */
0xa4, 0x25, 0x35, 0x3d, 0x2d, 0x2e, 0x5e, 0x54, 0x24,

/*  boldface character   94 (Octal 136) = ^       length= 7 */
0x87, 0x3b, 0x67, 0x47, 0x38, 0x27, 0x07,

/*  boldface character   95 (Octal 137) = _       length= 5 */
0x84, 0x06, 0x66, 0x64, 0x04,

/*  boldface character   96 (Octal 140) = `       length= 5 */
0xbc, 0x1e, 0x2e, 0x4c, 0x3c,

/*  boldface character   97 (Octal 141) = a       length= 18 */
0x85, 0x07, 0x18, 0x48, 0x49, 0x09, 0x0a, 0x1b, 0x5b, 0x6a, 
0x64, 0x14, 0x05, 0xa6, 0x27, 0x47, 0x46, 0x26,

/*  boldface character   98 (Octal 142) = b       length= 18 */
0x84, 0x0e, 0x2e, 0x2a, 0x3b, 0x5b, 0x6a, 0x65, 0x54, 0x34, 
0x25, 0x24, 0x04, 0xa6, 0x29, 0x49, 0x46, 0x26,

/*  boldface character   99 (Octal 143) = c       length= 17 */
0x85, 0x0a, 0x1b, 0x5b, 0x6a, 0x68, 0x48, 0x49, 0x29, 0x26, 
0x46, 0x47, 0x67, 0x65, 0x54, 0x14, 0x05,

/*  boldface character   100 (Octal 144) = d      length= 18 */
0x85, 0x0a, 0x1b, 0x3b, 0x4a, 0x4e, 0x6e, 0x64, 0x44, 0x45, 
0x34, 0x14, 0x05, 0xa6, 0x29, 0x49, 0x46, 0x26,

/*  boldface character   101 (Octal 145) = e      length= 19 */
0x85, 0x0a, 0x1b, 0x5b, 0x6a, 0x68, 0x57, 0x27, 0x26, 0x66, 
0x65, 0x54, 0x14, 0x05, 0xa8, 0x29, 0x49, 0x48, 0x28,

/*  boldface character   102 (Octal 146) = f      length= 17 */
0xa4, 0x2a, 0x1a, 0x1b, 0x2b, 0x2d, 0x3e, 0x6e, 0x6d, 0x5d, 
0x4c, 0x4b, 0x5b, 0x5a, 0x4a, 0x44, 0x24,

/*  boldface character  103 (Octal 147) = g      length= 24 */
0x85, 0x0a, 0x1b, 0x3b, 0x4a, 0x4b, 0x6b, 0x63, 0x41, 0x11, 
0x02, 0x04, 0x13, 0x33, 0x44, 0x45, 0x34, 0x14, 0x05, 0xa6, 
0x29, 0x49, 0x46, 0x26,

/*  boldface character   104 (Octal 150) = h      length= 14 */
0x84, 0x0e, 0x2e, 0x2a, 0x3b, 0x5b, 0x6a, 0x64, 0x44, 0x49, 
0x39, 0x28, 0x24, 0x04,

/*  boldface character   105 (Octal 151) = i      length= 10 */
0xa4, 0x2b, 0x4b, 0x44, 0x24, 0xac, 0x2e, 0x4e, 0x4c, 0x2c,

/*  boldface character   106 (Octal 152) = j      length= 16 */
0x84, 0x13, 0x33, 0x44, 0x4b, 0x6b, 0x63, 0x41, 0x11, 0x02, 
0x04, 0xcc, 0x4e, 0x6e, 0x6c, 0x4c,

/*  boldface character   107 (Octal 153) = k      length= 20 */
0x84, 0x0e, 0x2e, 0x2a, 0x3b, 0x5b, 0x6a, 0x68, 0x57, 0x64, 
0x44, 0x37, 0x27, 0x24, 0x04, 0xa8, 0x29, 0x49, 0x48, 0x28,

/*  boldface character   108 (Octal 154) = l      length= 8 */
0xa5, 0x2e, 0x4e, 0x45, 0x55, 0x54, 0x34, 0x25,

/*  boldface character   109 (Octal 155) = m      length= 18 */
0x84, 0x0b, 0x2b, 0x2a, 0x3b, 0x4b, 0x4b, 0x4a, 0x5b, 0x6b, 
0x64, 0x44, 0x49, 0xa9, 0x24, 0x04, 0xa4, 0x44,

/*  boldface character   110 (Octal 156) = n      length= 13 */
0x84, 0x0b, 0x2b, 0x2a, 0x3b, 0x5b, 0x6a, 0x64, 0x44, 0x49, 
0x29, 0x24, 0x04,

/*  boldface character   111 (Octal 157) = o      length= 14 */
0x85, 0x0a, 0x1b, 0x5b, 0x6a, 0x65, 0x54, 0x14, 0x05, 0xa6, 
0x29, 0x49, 0x46, 0x26,

/*  boldface character   112 (Octal 160) = p      length= 18 */
0xa5, 0x21, 0x01, 0x0b, 0x2b, 0x2a, 0x3b, 0x5b, 0x6a, 0x65, 
0x54, 0x34, 0x25, 0xa6, 0x29, 0x49, 0x46, 0x26,

/*  boldface character   113 (Octal 161) = q      length= 26 */
0x85, 0x0a, 0x1b, 0x3b, 0x4a, 0x4b, 0x6b, 0x63, 0x73, 0x72, 
0x62, 0x61, 0x41, 0x42, 0x32, 0x33, 0x43, 0x45, 0x34, 0x14, 
0x05, 0xa6, 0x29, 0x49, 0x46, 0x26,

/*  boldface character   114 (Octal 162) = r      length= 11 */
0x84, 0x0b, 0x2b, 0x2a, 0x3b, 0x5b, 0x59, 0x39, 0x28, 0x24, 
0x04,

/*  boldface character   115 (Octal 163) = s      length= 19 */
0x85, 0x06, 0x46, 0x47, 0x17, 0x08, 0x0a, 0x1b, 0x5b, 0x6a, 
0x69, 0x29, 0x28, 0x58, 0x67, 0x65, 0x54, 0x14, 0x05,

/*  boldface character   116 (Octal 164) = t      length= 16 */
0xa5, 0x2b, 0x1b, 0x1c, 0x2c, 0x2e, 0x4e, 0x4c, 0x5c, 0x5b, 
0x4b, 0x45, 0x55, 0x54, 0x34, 0x25,

/*  boldface character   117 (Octal 165) = u      length= 13 */
0x85, 0x0b, 0x2b, 0x26, 0x46, 0x4b, 0x6b, 0x64, 0x44, 0x45, 
0x34, 0x14, 0x05,

/*  boldface character   118 (Octal 166) = v      length= 11 */
0xb4, 0x07, 0x0b, 0x2b, 0x28, 0x37, 0x48, 0x4b, 0x6b, 0x67, 
0x34,

/*  boldface character   119 (Octal 167) = w      length= 13 */
0xa4, 0x07, 0x0b, 0x2b, 0x27, 0x38, 0x47, 0x4b, 0x6b, 0x67, 
0x44, 0x36, 0x24,

/*  boldface character   120 (Octal 170) = x      length= 23 */
0x84, 0x06, 0x17, 0x18, 0x09, 0x0b, 0x2b, 0x29, 0x38, 0x49, 
0x4b, 0x6b, 0x69, 0x58, 0x57, 0x66, 0x64, 0x44, 0x46, 0x37, 
0x26, 0x24, 0x04,

/*  boldface character   121 (Octal 171) = y      length= 19 */
0x84, 0x13, 0x33, 0x44, 0x45, 0x34, 0x14, 0x05, 0x0b, 0x2b, 
0x26, 0x46, 0x4b, 0x6b, 0x63, 0x41, 0x11, 0x02, 0x04,

/*  boldface character   122 (Octal 172) = z      length= 11 */
0x84, 0x06, 0x39, 0x09, 0x0b, 0x6b, 0x69, 0x36, 0x66, 0x64, 
0x04,

/*  boldface character   123 (Octal 173) = {      length= 16 */
0xb4, 0x25, 0x28, 0x09, 0x2a, 0x2d, 0x3e, 0x5e, 0x5d, 0x4d, 
0x3c, 0x36, 0x45, 0x55, 0x54, 0x34,

/*  boldface character   124 (Octal 174) = |      length= 10 */
0xa4, 0x28, 0x48, 0x44, 0x24, 0xaa, 0x2e, 0x4e, 0x4a, 0x2a,

/*  boldface character   125 (Octal 175) = }      length= 16 */
0x94, 0x15, 0x25, 0x36, 0x3c, 0x2d, 0x1d, 0x1e, 0x3e, 0x4d, 
0x4a, 0x69, 0x48, 0x45, 0x34, 0x14,

/*  boldface character   126 (Octal 176) = ~      length= 13 */
0x88, 0x0a, 0x1b, 0x2b, 0x49, 0x59, 0x6a, 0x68, 0x57, 0x47, 
0x29, 0x19, 0x08,

/*  boldface character   127 (Octal 177) = DEL    length= 8 */
0xb6, 0x09, 0x3c, 0x3a, 0x6a, 0x68, 0x38, 0x36

};

/* 
   The following array specifies the position of each ascii
   boldface character in the symbol table. ascii character k
   starts at location lbfc[k] in asxy[] and ends at lbfc[k+1]-1.
*/

int lbfc[129] = {
   0,    5,   10,
  14,   21,   27,
  32,   37,   42,
  47,   52,   57,
  61,   69,   75,
  83,   87,   97,
 111,  120,  125,
 133,  141,  144,
 147,  150,  153,
 166,  174,  179,
 184,  191,  197,
 198,  208,  218,
 252,  277,  304,
 327,  332,  343,
 354,  373,  386,
 393,  398,  403,
 410,  424,  431,
 447,  471,  487,
 505,  526,  534,
 559,  580,  590,
 602,  609,  619,
 626,  645,  666,
 682,  702,  719,
 731,  744,  755,
 774,  787,  792,
 803,  819,  826,
 839,  850,  864,
 878,  897,  916,
 939,  948,  959,
 971,  986, 1007,
1021, 1032, 1041,
1048, 1057, 1064,
1069, 1074, 1092,
1110, 1127, 1145,
1164, 1181, 1205,
1219, 1229, 1245,
1265, 1273, 1291,
1304, 1318, 1336,
1362, 1373, 1392,
1408, 1421, 1432,
1445, 1468, 1487,
1498, 1514, 1524,
1540, 1553, 1561
};

/* int mlfc = 129, mbfxy = 1561;                */
