#include "kon.h"

extern int           MM[];
extern long          LL[64][2][2];
extern double        ZZ[];

#define  UP    0
#define  DOWN  1

void konsc(double Z0, int IA, int IB, int JA, int JB, double ZE[],
	   int NX, int NY, void (*graff)())

/*       konsc.c
   [Single contour]
   Traza un contorno simple.
  Z0       Nivel del contorno.
  IA,IB    Rango en direccion X a ser contorneado.
  JA,JB    Rango en direccion Y a ser contorneado.
  ZE[]     Arreglo con los valores de la funcion.
  NX,NY    Rango de ZE[NX][NY].
  graff    Rutina de conversion de coordenadas.
   (H.V.McIntosh, 6.ENE.75)
   (Fco. Gil, 14.ENE.85)
   (Conv. a C, G.Cisneros, 19.JUL.88)
   (Angel Canto, 20.Feb.89)
*/
{
  int    in,in1,jn,i,ii,j,jj,k,kk,m,i0,j0,k0,i1,j1,itra;
  long   lk;
  double xs,ys;

 if (NX < 2) return;
 if (NY < 2) return;

 in = IB - IA;
 jn = JB - JA;

 if ((in > 64) || (jn > 64)) return;

 xs = 1.0 / (double)(NX-1);
 ys = 1.0 / (double)(NY-1);

 for (j=0, jj=JA ; j < jn ; j++,jj++)
 {
   ii = IA ;
   m = 1 ;
   kk = ((ii-1)*NY) + jj-1;
   ZZ[0] = ZE[kk] - Z0;
   ++kk;
   ZZ[1] = ZE[kk] - Z0;

   for (i=0 ; i < in ; i++,ii++)
   {
     for (k=0 ; k < 2 ; k++)
      {
	m = (m+1)%3;
	kk = (ii*NY) + jj+k-1;
	ZZ[m] = ZE[kk] - Z0;
	if ((fsgn(ZZ[0]) != fsgn(ZZ[2])) || (fsgn(ZZ[1]) != fsgn(ZZ[0])))
	 { j1 = i/32; i1= i-(32*j1);
	   LL[j][j1][k] |= (((long)1) << i1);
	 }
       }
   }
 };

 for (k=0 ; k < 2 ; k++)
 for (j=0 ; j < jn ; j++)
 for (j1=0 ; j1 < 2 ; j1++)

  while (LL[j][j1][k])
  {
   i   = 32*j1;
   in1 = ((j1 > 0) ? in : 32);
   for (lk = (long)1 ; i < in1 ; i++, lk <<= 1)
    if(LL[j][j1][k] & lk)
    {
     konit(i+IA, j+JA ,k+1);
     kk = ((MM[0]-1)*NY) + MM[1]-1;
     ZZ[0] = ZE[kk] - Z0;

     kk = ((MM[2]-1)*NY) + MM[3]-1;
     ZZ[1] = ZE[kk] - Z0;
     kk = ((MM[4]-1)*NY) + MM[5]-1;
     ZZ[2] = ZE[kk] - Z0;

     if (fsgn(ZZ[0]) == fsgn(ZZ[1])) konxv(0,2);
     else
      if(fsgn(ZZ[0]) == fsgn(ZZ[2])) konxv(0,1);
     konsa();

     for (m=0, itra=DOWN ; m < 2 ; m++, itra=UP)
     {
      (*graff)(konzp(MM[0],MM[2],xs), konzp(MM[1],MM[3],ys), UP);
      for(;;)
      {
       konnc();
       (*graff)(konzp(MM[0],MM[2],xs), konzp(MM[1],MM[3],ys), itra);
       itra = DOWN;
       ii = (MM[4] < IA) || (MM[4] > IB);
       jj = (MM[5] < JA) || (MM[5] > JB);

       if ( (ii || jj) != 0 ) break;

       i0 = konmn(konmn(MM[0],MM[2]),MM[4]) - IA;
       j0 = konmn(konmn(MM[1],MM[3]),MM[5]) - JA;
       k0 = ((MM[0]+MM[2]+MM[4]) % 3)-1;
       i1 = i0/32;

       if ( (LL[j0][i1][k0] & (((long)1) << (i0-(32*i1)))) == 0) break;

       LL[j0][i1][k0] &= ~( ((long)1) << (i0-(32*i1)) );
       kk = ((MM[4]-1)*NY) + MM[5]-1;
       ZZ[2] = ZE[kk] - Z0;
      }
      konre();
     }
     LL[j][j1][k] &= ~lk;
    }
  }
}

/* END: konsc.c */
