
#ifdef _EN_WINDOWS
#include <windows.h>
#endif

#include "../include/plot.h"

#define TRUE   1
#define FALSE  0
#define max(x,y)  (((x) > (y)) ? (x) : (y))
#define abs(x)    ((x) < 0 ? -(x) : (x))
#define sign(x)   ((x) > 0 ? 1 : ((x) == 0 ? 0 : (-1)))

#ifdef _EN_WINDOWS
  extern HDC PlotDC;	/* Solo en el ambiente Windows */
#endif

extern int DISK;

void line(int x1, int y1, int x2, int y2, int color)

/*       pline.c
   [Traza una linea, como una sucesion de puntos]
   De (x1,y1) a (x2,y2) con un color determinado.
   (Algoritmo de Bresenham).
   (Angel Canto, Nov.92).
*/
{
  int  ix,iy,i,inc,x,y,dx,dy,plt,pltx,plty;

  if( DISK != 6) {

     dx = x2-x1;
     dy = y2-y1;
     ix = abs(dx);
     iy = abs(dy);
     inc = max(ix,iy);
     pltx = x1;
     plty = y1;
     x=y=0;
     pointv(pltx,plty,color);
     for (i=0; i <= inc ; ++i) {
        x += ix;
     	y += iy;
     	plt = FALSE;
     	if (x > inc) {
           plt = TRUE;
	   x -= inc ; pltx += sign(dx);
       	};
     	if (y > inc) {
	   plt = TRUE;
           y-=inc; plty += sign(dy);
       	};
     	if (plt)
	   pointv(pltx,plty,color);
     }
  } else {

#ifdef _EN_WINDOWS
    /* Version Windows se utilizan funciones del GDI */
    MoveTo(PlotDC, x1, y1);
    LineTo(PlotDC, x2, y2);
#endif

  }
}

/* END: pline.c */

