#include <stdio.h>
#include <stdlib.h>

#include "../include/plot.h"

extern int DISK;

int  MF  = 0;      /* Posicion " anterior " de la pluma.       */
int  XO  = 0;      /* " origen " en X. (entero).               */
int  YO  = 0;      /* " origen " en Y. (entero).               */
int  XP  = 0;      /* Punto " previo " en X. (entero).         */
int  YP  = 0;      /* Punto " previo " en Y. (entero).         */
int  XR  = 0;      /* Punto " previo " en X. (Coord.Relativas) */
int  YR  = 0;      /* Punto " previo " en Y. (Coord.Relativas) */
int  FORMA = 0;   /* Constante de forma de la grafica.         */
int  XOT = 0;     /* " origen anterior " en X. (entero).       */
int  YOT = 0;     /* " origen anterior " en Y. (entero).       */
int  COLOR = 2;   /* Color del punto en video                  */

double  SX;      /* " escala " en X (real).                  */
double  SY;      /* " escala " en Y (real).                  */
double  FACT;    /* " factor " de escal general (real).      */
double  SXT;     /* " escala anterior " en X. (real).        */
double  SYT;     /* " escala anterior " en Y. (real).        */

void plot(double x1, double y1, int l)

/*       plot.c
     [Trazo de lineas]
     (x1,y1) Coordenadas del punto.
      l      Bandera para pintar:
	       l = 0  No pinta.
	       l = 1  Pinta.
     (Fco. Gil, 11.DIC.85) [F80].
     (Angel Canto, Jun.89) ["C"].
*/
{
  int     x, y;            /* Punto ACTUAL en (x,y). (entero).    */
  double  hl;

/*
    Calcula el punto con respecto al origen.
    Obtiene: Yt = YO - x
*/

 hl = FACT * x1;
 y  =  YO - ((x1 < 0.0) ? (int)(hl - 0.5) : (int)(hl + 0.5)); 


  /* Obtiene: Xt = XO + Y                    */

 hl = FACT * y1;
 x  =  XO + ((y1 < 0.0) ? (int)(hl - 0.5) : (int)(hl + 0.5)); 


/* (l=0 y MF=0) o (l=0 y MF=1)               */

 if (l != 0)
 {
/* Checa si es el mismo punto anterior para evitar los puntos en falso. */

    if ((x != XP) || (y != YP))
      {
      switch (DISK) {

case 1: if (MF == 0) plomt(XP, YP, MF); /* (l=1 y MF=0)    */
	plomt( x, y, l);                /* (l=1 y MF=1)    */
	break;
case 2: line(XP, (199-YP), x, (199-y), COLOR); /* CGA 320X200 */
	break;
case 3: line(XP, (475-YP), x, (475-y), COLOR); /* VGA 640X480 */
	break;
case 4: line(XP, (757-YP), x, (757-y), COLOR); /* SVGA 1024X768 */
	break;
case 5:
	if (MF == 0) {
	     XR = XP - XR;
	     YR = YP - YR;
	     plomtc(XR, YR, MF); /* (l=1 y MF=0)         */
	   };
	XR = x - XP;
	YR = y - YP;
	plomtc(XR, YR, l);       /* (l=1 y MF=1)          */
	XR = x; YR = y;
	break;

case 6:	line(XP+10, (440-YP), x+10, (440-y), COLOR); /* Windows 640X480 */
	break;

case 7: nline((double) XP, (double) YP, (double) x, (double) y); break;

default: pltdsply(" Device Error (plot)!! ");
	exit(1);   };
	XP = x; YP = y ; MF = l;

      };
 }
 else
 {
                                 /* Guarda el punto previo  */
  XP = x; YP = y; MF = l;
 };
}
