#include <stdio.h>
#include <stdlib.h>

#ifdef _EN_MSDOS
#include <dos.h>
#endif

#ifdef _EN_WINDOWS
#include <windows.h>
#endif


int DISK = 0;          /* Indicador del dispositivo de salida.  */

#ifdef _EN_MSDOS
union REGS regs;
#endif

#ifdef _EN_WINDOWS
HDC PlotDC;		/* !!! Inicializar adecuadamente en main()*/
HWND PlotWindow;
#endif

static char BUFF[50];  /* BUFFER almacenamiento de car. movs. plotz().  */
static int  ICO = 0;   /* Contador para el max. de BUFFER max. 50.      */
static int  ILE = 0;   /* Contador ciclico del numero de movs. max. 50. */
static FILE *fileplt;  /* apuntador archivo de salida de movs.          */


void pltpalette(int colorv,int paleta)

/*       plotsal.c

   [Define color del fondo]
   Interrupcion 0x10, Servicio 0x0b
   Cambia la paleta, el fondo, o el color del borde.
   colorv = define BH.
   paleta = define BL.
   Selecciona color: BH = 0, BL = Color.
   Selecciona Paleta: BH = 1, BL = Paleta.
   (Angel Canto, Dic.93)
*/
{
#ifdef _EN_MSDOS
     regs.h.ah = 0x0b;
     regs.h.bh = colorv;
     regs.h.bl = paleta;
     int86( 0x10, &regs, &regs);
#endif
}
  

int pltint(void)

/*       plotsal.c
	 [Lee un entero]
	 (Angel Canto, Oct.93)
*/
{
      int i;
      scanf("%d", &i);
      return i;
}

float pltfloat(void)

/*       plotsal.c
	 [Lee un flotante]
	 (Angel Canto, Oct.93)
*/
{
    float x;
      scanf("%f", &x);
      return x;
}


void pltclose(void)

/*       plotsal.c
         [Cierra archivo de movimientos o regresa el video a modo texto]
         (Angel Canto, 10.Dic.88)
*/
{
  int  i;
  char pausa = ' ';

  switch (DISK) {
  case 1 :	/* (HIPLOT) */
	   /* pone fin de archivo  ^Z (DOS)*/
	   for(i=0 ; i < 7 ; i++)
	      putc('\032', fileplt);
  case 5 : 	/* (CALCOMP) */ 
	   fclose(fileplt);
	   break;
  case 2 :
  case 3 :
  case 4 : 
#ifdef _EN_MSDOS
	   scanf("%c",&pausa);
	   regs.h.al = 3;   /* Regresa modo texto!!!*/
	   regs.h.ah = 0;
	   int86(0x10, &regs, &regs);
#endif
	   break;
  case 6:  break;	 /* Modo windows no hace nada */

  case 7:  break;         /* En NeXSTEP no hace nada  */
  default: break;
  }

}


void closeplt(void)
{  pltclose(); }


void pltdsply(char *let)

/*       plotsal.c
    [Recibe letreros para ser desplegados]
    (Angel Canto, Oct.93)
*/
{
  switch(DISK){
     case 0: case 1: case 2: case 3: case 4: case 5:
	     printf("%s",let);
	     break;
     case 6:	

#ifdef _EN_WINDOWS
	/* Modo Windows */
      	MessageBox(PlotWindow, let, "PLOT", MB_OK);
#endif
		break;
     default:
		break;
     }
}


void plotz(char iar[], int n)

/*       plotsal.c
   [Recibe los movimientos de la pluma y decide si
    salen a un archivo o a video]
    (Fco. Gil, 14.MAY.85) [F80].
    (Angel Canto, 10.Dic.88) ["C"].
*/
{
  int i;

  if (DISK != 0)
   /* Salida por Disco. */
  {
  switch (DISK) {
  case 1:   for (i = 0 ; i < n ; i++) {
	     BUFF[ICO] = iar[i]; ++ICO;};
	    if (iar[n-1] != '_')
	    break;
	    for(i = 0; i < ICO ; i++) putc(BUFF[i],fileplt);
	    putc(0x0a,fileplt);
	    ICO = 0 ; ++ILE;
	    if (ILE >= 50) {pltdsply("."); ILE = 0;};
	    break;

  case 5:   for(i = 0; i < n ; i++) putc(iar[i],fileplt);
	    ++ILE;
	    if (ILE >= 50) {pltdsply("."); ILE = 0;};
	    break;
     }
   }
   else { pltdsply(" !! Device error."); exit(1); };
}


void pltname(char pname[], int longn)

/*       pltname.c
     [Obtiene nombre archivo de salida]
     (Angel Canto, Oct.93)
*/
{
    int i = 0;
    while (((pname[i++] = getchar()) != '\n') && (i < longn));
       pname[i-1] = '\0';
}

#define LONG_FNAME  15

void pltdk(int outp)

/*       plotsal.c
   [Inicializa el dispositivo de salida ha usarse]
   Opciones de seleccion outp:
	 1   salida a archivo para graficar en plotter HIPLOT.
	 2   salida a monitor CGA 320 x 200.
	 3   salida a minitor VGA 640 x 480.
	 4   salida a minitor SVGA RTVGA, 1024 x 758.
	 5   salida a archivo para graficar en plotter Calcomp.
    (Fco. Gil, 11.DIC.85) [F80].
    (Angel Canto, Dic.93).
*/
{
  char name[LONG_FNAME];

  switch (outp) {
  case 1 :   pltdsply(" (HIPLOT) File Name (.PLT), Output: ");
	     pltname(&name[0], LONG_FNAME);
	     if((fileplt = fopen(name,"w")) == NULL)
	      { pltdsply(" File Open Error : ");
		pltdsply(name);
		exit(1); }
	     else DISK = 1;
	     break;

#ifdef _EN_MSDOS
  case 2 :   regs.h.al = 5; /* modo cga 320 x 200 */
	     regs.h.ah = 0;
	     int86( 0x10, &regs, &regs);
	     DISK = 2;
	     break;

  case 3 :   regs.h.al = 0x12;  /* vga 16 colores 640x480 */
	     regs.h.ah = 0;
	     int86( 0x10, &regs, &regs);
	     DISK = 3;
	     break;

  case 4 :    regs.h.al = 0x28; /*modo SVGA 1024 x 758 */
	      regs.h.ah = 0;
	      int86( 0x10, &regs, &regs);
	      DISK = 4;
	      break;
#endif

  case 5 :   pltdsply(" (Calcomp) File Name (.PLT), Output: ");
	     pltname(&name[0],LONG_FNAME);
	     if((fileplt = fopen(name,"wb")) == NULL)
	      { pltdsply(" File Open Error : ");
		pltdsply(name);
		exit(1); }
	     else DISK = 5;
	     break;

  case 6 :
	     DISK = 6;	  /*  Modo Windows  */
	     break;

  case 7 :   DISK = 7;       /*   NeXSTEP     */
             break;

  default:
	     DISK = 0;
	     pltdsply(" (pltdk) Device Error !!!!");
	     exit(1);
	     break;
  }
}


void pointv(int x, int y, int color)

/*       plotsal.c
     [Grafica un punto en video en coordenadas absolutas]
     Usando BIOS o el GDI de Windows.
     (x,y)  Coordenadas del punto.
     color  Color del punto.
     (Angel Canto, Nov.92)
*/
{
   switch( DISK ){
      case 0: case 1: case 2: case 3: case 4: case 5:
#ifdef _EN_MSDOS
	regs.x.dx = y;
	regs.x.cx = x;
	regs.h.ah = 12;
	regs.h.al = color;
	int86(0x10,&regs,&regs);
#endif
	break;

      case 6:
#ifdef _EN_WINDOWS
	SetPixel( PlotDC, x, y, PALETTEINDEX(color) );
#endif
	break;

      default:
	break;
   }
}

/* END: plotsal.c */
