#include <stdlib.h>
#include "../include/plot.h"

extern int DISK;

static int LP;

#define H1      11.0
#define H2      17.0
#define H3      8.50
#define DX      4.25
#define DY      5.50

void plt00(void)

/*       plt00.c
   [Inicializacion]
  Para realizar una serie de graficas debe ser
  llamada una sola vez.
  Situa la pluma de acuerdo a la siguiente tabla.
  4      5      6
  3      2      1

  LP   Indicador de la zona de trabajo.
  SG   Escala general de trabajo.
    (H.V.McIntosh, 18.FEB.73)
    (Fco. Gil, 29.ENE.85) [F80].
    (Conv. a C, G. Cisneros 29.JUN.88)
    (Angel Canto, 21.Ene.89)
*/
{
  float x;
  double HX1 = 0.0;  double HY1 = 0.0;

  switch (DISK)  {
  case 1: pltdsply(" Position(1-6): ");
	  LP = pltint();
	  pltdsply(" General Scale (1. = letter): ");
	  x = pltfloat();
	  break;
  case 2: LP = 1;
	  x = .11;
	  break;
  case 3: LP = 1;
	  x = .25;
	  break;
  case 4: LP = 1;
	  x = .40;
	  break;
  case 5: pltdsply(" Position(1-6): ");
	  LP = pltint();
	  pltdsply(" General Scale (1. = letter): ");
	  x = pltfloat();
	  x = x * 1.016; /* Factor de puntos por pulgada Calcomp. */
	  break;

  case 6: LP = 1;	/* !!! Modo Windows 320x200. */
	  x = .25;
	  break;
  case 7: LP = 1;          /*    NeXSTEP       */
	  x = .55;         /*      SVGA        */
/*	  x = .40;                  VGA       */
          break;

  default: pltdsply("\n plt00 Error (Device No present) !!!");
	   exit(1);
   }
  ploti();               /* Inicializacion del Graficador.              */
  plotg((double)(x + x));/* definicion de la escala general.            */
  plot(HX1, HY1, UP);
  ploto();
  if ((LP == 2) || (LP == 5)) HX1 = -H3;
  if ((LP == 3) || (LP == 4)) HX1 = -H2;
     if ((LP > 1) && (LP < 7))
      {
	if (LP > 3) HY1 = H1;
	 plot(HX1, HY1, UP);
	 ploto();
      }

}


void pltej(void)

/*       plt00.c
   [Eject]
    DESALOJO.
    [Desaloja la zona de trabajo en el graficador
     incrementando el indicador de zona]
   (H.V.McIntosh, 5.OCT.73)
   (Fco. Gil, 29.ENE.85)
   (Angel Canto, 21.Ene.89)
*/
{

   switch (LP) {
	 case 1:
	 case 2:  plot( -DX, -DY, UP);
		  break;
	 case 3:
	 case 6:  plot( DX, DY, UP);	/* !!! Modo Windows */
		  break;
	 case 4:
	 case 5:  plot(3.*DX, -DY, UP);
	 default: break;
	 };
   ploto();
   plot(0.01, 0.01, DOWN);
   LP = (LP+1)%6;
}

/* END: plt00.c */

