
#ifdef _EN_WINDOWS

#include <windows.h>
#define MAXPEN	16
extern HDC PlotDC;
extern HWND PlotWindow;

// TPEN es el tipo de plumas predefinidas por PLOT para el
// manejo de plumas en Windows.

 struct TPEN{
	int Style;		/* style of pen	*/
	int Width;		/* width of pen	*/
	COLORREF clrref;	/* color of pen	*/
	} PenDef[MAXPEN] = {
			{PS_SOLID, 1, RGB(0,0,0)},
			{PS_SOLID, 1, RGB(0,0,255)},
			{PS_SOLID, 1, RGB(0,255,0)},
			{PS_SOLID, 1, RGB(255,0,0)},
			{PS_SOLID, 2, RGB(0,0,0)},
			{PS_SOLID, 2, RGB(0,0,255)},
			{PS_SOLID, 2, RGB(0,255,0)},
			{PS_SOLID, 2, RGB(255,0,0)},

			{PS_DOT,  1, RGB(0,0,0)},
			{PS_DOT,  1, RGB(0,0,255)},
			{PS_DOT,  1, RGB(0,255,0)},
			{PS_DOT,  1, RGB(255,0,0)},
			{PS_DASH, 1, RGB(0,0,0)},
			{PS_DASH, 1, RGB(0,0,255)},
			{PS_DASH, 1, RGB(0,255,0)},
			{PS_DASH, 1, RGB(255,0,0)}
	};

#endif	/* _EN_WINDOWS */


extern int COLOR, DISK;		/* Altera variables externas */

/*       pltcolor.c      
  Define color para los siguientes trazos en video.
    - Depende del adapatador declarado, para
      seleccion del color.
  (Angel Canto, Oct.93)
*/

void pltcolor(int color)
{

#ifdef _EN_WINDOWS
  HPEN hpen, hpenOld;
  TPEN NewPen;
#endif

  if( DISK != 6){
      COLOR = color;
     }else{		

#ifdef _EN_WINDOWS
	/* Windows */

     COLOR = PALETTEINDEX( color );

     // Crea la nueva pluma
     NewPen = PenDef[color%MAXPEN];
     hpen = CreatePen(NewPen.Style, NewPen.Width, NewPen.clrref);
     // Selecciona la nueva pluma
     hpenOld = (HPEN) SelectObject( PlotDC, hpen);
     // Borra la pluma anterior
     DeleteObject(hpenOld);
#endif

    }
}

/* END: pltcolor.c */

