#include <math.h>

#include "../include/plot.h"

void pltel(double xi, double eta, int l)

/*       pltel.c
   [Elliptical]
    [Escala (xi,eta) a (x,y) en la ventana de la pagina]
    Las coordenadas deben estar en el intervalo:
    (0.0 <= xi , eta <= 1.0)
    1.76 = arccosh(3.0)
    Checa la posicion de la grafica:
    Normal o rotada.
   (H.V.McIntosh, 14.FEB.74)
   (Fco. Gil, 1.NOV.84) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  double sx,sy,x,y,s;
  int lf;

  plotl( &sx, &sy, &lf);
  s = ((sx < sy) ? sx: sy) / 2.0;
  eta *= 6.28318 ;
/*        x = xi * 1.76;                                */
/*        xi *= 1.76;                                   */
  x = s * cosh(xi) * cos(eta);
  y = s * sinh(xi) * sin(eta);
  (lf) ? plot(-y, x, l) : plot( x, y, l);
}

/* END: pltel.c */

