#define UP   0
#define DOWN 1

#include "../include/plt.h"
#define ex(i)   ((double)i * sx)
#define wy(y)   ((y-y1) * sy)

void pltfi(double y1, double yy[], double y2, int nn, void (*graff)(double, double, int))

/*       pltfi.c
   [Function of integers]
   Grafica Funcion de enteros.

   (y1,y2)   Cota inferior y superior para la funcion.
   yy[nn]    Arreglo con los valores de la funcion.
   nn        Numero de puntos.
   graff     Funcion de conversion de coordenadas.
   (H.V.McIntosh, 17.MAY.75)
   (Fco. Gil, 17.MAY.85) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  int    i;
  double sx,sy;

  if( nn >= 2)
  {
    sx = 1.0 / (nn - 1);
    sy = 1.0 / (y2 - y1);
    (*graff)(ex(0), (double)(wy(*yy++)), UP);
    for(i = 1; i < nn; i++)
    (*graff)(ex(i), (double)(wy(*yy++)), DOWN);
  };
}

/* END: pltfi.c */

