#include "../include/plot.h"

#define HX      3.25
#define HY      4.50
#define DDXX    4.25
#define DDYY    5.50

void pltfr(int LO)

/*       pltfr.c
   [Frame]
   Marco.
    Traza un marco para definir la zona de trabajo
    en el graficador.

   LO indica el marco deseado.

    Define el origen en el centro de la pagina.
     LO = 0    Solo Origen en el centro de la pagina.
     LO = 1    Marco grande (Carta 8.5x11.0 pulgadas),
		y origen en el centro de la pagina.
     LO = 2    Marco chico, considera la hoja tamano carta
		(8.5x11.0) y traza un marco dentro de  este
		tamano (7.0x9.0 pulgada), y  origen  en  el
		centro de la pagina.
     LO = 3    Marco grande y marco chico, y origen en  el
		centro de la pagina.
     LO = 4    Marco grande cuadrado dentro de una hoja de
		tamano carta (8.5x11.0), el  marco  quedara
		de (8.5x8.5 pulgadas) origen en  el  centro
		del marco.
     LO = 5    Marco chico cuadrado dentro de una hoja  de
		tamano carta (8.5x11.0), el  marco  quedara
		de (7.0x7.0 pulgadas) origen en  el  centro
		del marco.
     LO = 6    Marco grande y chico, cuadrados, origen  en
		centro de los marcos.
   (H.V.McIntosh, 15.NOV.73)
   (Fco. Gil, 30.ENE.85) [F80].
   (Conv. a C, G.Cisneros 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  double OOYY = DDYY;
  double HHY  = HY;

  if (LO > 3) { OOYY = DDXX ; HHY = HX;};
  plot(-DDXX, DDYY, UP);
  ploto();
  switch (LO) {
  case 1:
  case 3:
  case 4:
  case 6:  plot( DDXX, -OOYY, UP);
	   plot(-DDXX, -OOYY, DOWN);
	   plot(-DDXX,  OOYY, DOWN);
	   plot( DDXX,  OOYY, DOWN);
	   plot( DDXX, -OOYY, DOWN);
	   break;
  default: break;
   }
  switch (LO) {
  case 2:
  case 3:
  case 5:
  case 6:  plot( HX, -HHY, UP);
	   plot(-HX, -HHY, DOWN);
	   plot(-HX,  HHY, DOWN);
	   plot( HX,  HHY, DOWN);
	   plot( HX, -HHY, DOWN);
	   break;
  default: break;
   }
}

/* END: pltfr.c */
