#define UP   0
#define DOWN 1

#define ex(x)   ((x-x1) * scx)
#define wy(y)   ((y-y1) * scy)

void pltga(double x1, double xx[], double x2, double y1, double yy[],
	   double y2, int nn, void (*graff)(double, double, int))

/*       pltga.c
   (GRAPH ARRAY)
   Grafica una poligonal.

   (x1,x2)  Cota inferior y superior en X.
   xx[nn]   Arreglo con los valores de X.
   (y1,y2)  Cota inferior y superior en Y.
   yy[nn]   Arreglo con los valores de Y.
   nn       Numero de puntos.
   graff    Rutina de conversion de coordenadas.
   (H.V.McIntosh, 7.JUN.75)
   (Fco. Gil, 1.NOV.83) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.89)
   (Angel Canto, 21.Ene.89)
*/
{
  double scx,scy;

  if (nn >= 2)
   {
     scx = 1.0 / (x2 - x1);
     scy = 1.0 / (y2 - y1);
     (*graff)((double)ex(*xx++), (double)wy(*yy++), UP);
     while(--nn)
     (*graff)((double)ex(*xx++), (double)wy(*yy++), DOWN);
   };
}
