#include "../include/plotp.h"

#define ex(x)   ((x-x1) * sx)
#define wy(y)   ((y-y1) * sy)

void pltgd(double x1, double xx[], double x2, double y1, double yy[],
	   double y2, int nn, void (*graff)(double, double, int))

/*       pltgd.c
   [Graph Data]
   [Grafica datos, poniendo en cada uno, una marca de confianza]

   (x1,x2)   Cota inferior y superior en X.
   xx[nn]    Arreglo con los valores de X.
   (y1,y2)   Cota inferior en Y.
   yy[nn]    Arreglo con los valores de Y.
   nn        Numero de puntos.
   graff     Funcion de converion de coordenadas.
   (Fco. Gil, 14.NOV.85) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  double sx,sy;

  if (nn >= 2)
     {
	sx = 1.0 / (x2 - x1);
	sy = 1.0 / (y2 - y1);
	while (nn--)
	pltfm((double)(ex(*xx++)), (double)(wy(*yy++)), 0.025, graff);
     };
}

/* END: pltgd.c */

