#include <math.h>

#include "../include/plot.h"

void pltpo(double t, double r, int l)

/*       pltpo.c
   [Polar]   (Coordenadas polares)
    Escala (T,R) a (X,Y) el la ventana de la pagina,
    las coordenadas deben estar en el intervalo:
    (0.0 <= t, r <= 1.0)
    Checa la orientacion de la grafica:
    Normal o rotada.
   (H.V.McIntosh 19.MAY.74)
   (Fco. Gil, 1.NOV.84) [F80].
   (Conv. a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  int    lf;
  double x,y,ex,wy;

  plotl(&ex, &wy, &lf);
  r *= ((ex < wy) ? ex : wy);
  t *= 6.28318;
  x = r * cos(t);
  y = r * sin(t);
  (lf) ? plot(-y, x, l) : plot( x, y, l);
}

/* END: pltpo.c */

