#include <math.h>

#include "../include/plot.h"

void pltsp(double ph, double th, int l)

/*       pltsp.c
   [Spherical Polar]   (Coordenadas esfericas polares)
    Cambia las variables angulares a coordenadas carte-
    sianas.
    Las coordenadas deben estar en el intervalo:
    (0.0 <= ph, th <= 1.0)
    Checa la posicion de la grafica:
    Normal o rotada.
   (H.V.McIntosh, 16.NOV.74)
   (Fco. Gil, 1.NOV.84) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  double sx,sy,r,x,y,z;
  int lf;

  plotl(&sx, &sy, &lf);
  r = ((sx < sy) ? sx : sy);
  th *= 3.14159;
  ph *= 6.28318;
  x = r * sin(th) * cos(ph);
  y = r * sin(th) * sin(ph);
  z = r * cos(th);
  l = l && (y >= 0.0);
  (lf) ? plot(-z, x, l) : plot( x, z, l);
}

/* END: pltsp.c */

