#include "vis.h"

#define Q0 0.000
#define Q1 1.571
#define Q2 3.142
#define Q3 4.713
#define Q4 6.283
#define S1 1.563
#define S3 4.70983
#define r1 0.02
#define r2 1.00

void pltpv(double Z1, double ZE[], double Z2, int NR, 
           int NP, void (*pl)())

/*       pltpv.c
   [Polar view]
   Vista polar.
   Programa para producir un dibujo en perspectiva de una funcion e-
   valuada y definida en coordenadas polares, de tal manera que se -
   exhiben los arcos radiales y circunferenciales.
   ZE[NR][NP].

   (Z1,Z2)   Rango de los valores de la funcion.
   ZE[]      Arreglo de los valores de la funcion.
   NR        Numero de puntos de un radio.
   NP        Numero (=4*N+1) de angulos.
   pl        Funcion de conversion de coordenadas. (usual pltca).
   (H.V.McIntosh, 11.MAY.75)
   (Fco. Gil, 26.DIC.84)
   (Conv. a C., G.Cisneros, 15.JUL.88)
   (Angel Canto, 16.Mar.89)
*/
{
  int nq,nn;

 nq = 1 + (NP-1)/4;
 nn = nq - 1;
 visnh();
 visps(Z1, &ZE[3*nn], Z2, r1, r2, NR, Q3, Q4, nq, -1, 1, pl);
 visps(Z1, &ZE[0   ], Z2, r1, r2, NR, Q0, S1, nq,  1, 1, pl);
 visnh();
 visps(Z1, &ZE[2*nn], Z2, r1, r2, NR, Q2, S3, nq, -1, -1, pl);
 visps(Z1, &ZE[nn  ], Z2, r1, r2, NR, Q1, Q2, nq,  1, -1, pl);
}

/* END: pltpv.c */

