#include "vis.h"

void pvvsw(double Z1, double ZE[], double Z2, int NX, int NY, 
	   double S, void (*pl)())

/*       pvvsw.c
   [Southwest view]
   Vista suroeste.
   Esta funcion es equivalente a "pvisw", salvo que esta grafica
   los valores positivos y negativos reales. En el caso de "pvisw"
   despues de checar el signo, toma el valor absoluto de la funcion
   para graficar.

   (Z1,Z2)   Rango de los valores de ZE.
   ZE[]      Arreglo con los valores de la funcion.
   NX,NY     Dimension ZE[NX][NY].
   S         =1.0 Grafica parte positiva, = -1.0 Parte negativa.
   pl        Funcion de conversion de coordenadas.
   (Fco. Gil, 29.DIC.84)
   (Conv. a C, G.Cisneros, 15.JUL.88)
   (Angel Canto, 16.Mar.89)
*/
{
   visnh();
   pvvds(Z1, ZE, Z2, 1, NX, NX, 1, NY, NY, 0.2, 0.2, 1, 1, S, pl);
}
