#include "vis.h"

#define SIZE 600
#define HZ 0.35

static double  U[SIZE], V[SIZE];

void vists(double Z1, double ZE[], double Z2, int N, int M, void (*pl)())

/*       vists.c
   [Triangular sequence]
   Secuencia triangular.

   (Z1,Z2)  Rango de los valores.
   ZE[]     Arreglo de los valores.
   N        Actual longitud de columnas.
   M        ZE[M][M] Maxima longitud de columnas.
   pl       Funcion de conversion de coordenadas.
   (H.V.McIntosh, 11.MAY.75)
   (Fco. Gil, 26.DIC.84)
   (Conv. a C, G. Cisneros, 8.JUL.88)
   (Angel Canto, 16 Mar.89)
*/
{
 int    l,i,j,k,ixji,ixji1,ixni;
 double zs,du,dv,hu,ve,eu;

 zs = (2.0*HZ) / (Z2-Z1);
 du = 1.0 / (double)(N-1);
 dv = 0.3 / (double)(N-1);
 hu = 0.5 * du;
 ve = 0.0;
 l = N - 1;

 for (i = 1 ; i <= l ; i++)
 {
   k = -1;
   eu = hu*(double)(i-1);
   for (j = i ; j <= N ; j++)
   {
      if (k < SIZE-1) ++k;
      U[k] = (double)(eu);
      ixji = (i-1) + (M*(j-1));
      V[k] = (double)(ve + zs*(ZE[ixji]-Z1));
/*    V[k] = (double)(ve + zs*(ZE[(i-1)+(M*(j-1))]-Z1));                */
      eu += du; };

   visho(U, V, k+1, 1, pl);

   k = -1;
   eu = hu * (double)(i-1);
   for(j = i ; j <= l ; j++)
   {
      if (k < SIZE-1) ++k;
      U[k] = (double)(eu);
      ixji = (i-1) + (M*(j-1));
      V[k] = (double)(ve + zs*(ZE[ixji]-Z1));
/*    V[k] = (double)(ve + zs*(ZE[(i-1)*(M*(j-1))]-Z1));                */

      if (k < SIZE-1) ++k;
      U[k] = (double)(eu + hu);
      ixji1 = i + (M*j);
      V[k] = (double)(ve + dv + zs*(ZE[ixji1]-Z1));
/*    V[k] = (double)(ve + dv + zs*(ZE[i+(M*j)]-Z1));           */
      eu += du;         };

   if (k < SIZE-1) ++k;
   U[k] = (double)(eu);
   ixni = (i-1) + (M*(N-1));
   V[k] = (double)(ve + zs*(ZE[ixni]-Z1));
/* V[k] = (double)(ve + zs*(ZE[(i-1)+(M*(N-1))]-Z1));           */

   visho(U, V, k+1, -1, pl);

   ve += dv;    }
}

/* END: vists.c */

